/*
 * BBoxAct.java
 *
 * Created on 5 de Dezembro de 2006, 17:10
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;

import java.util.*;
import java.text.*;
import java.sql.*;

import javax.servlet.*;
import javax.servlet.http.*;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.cart.*;
import br.com.tabelionatomessias.dao.web.*;

import java.security.MessageDigest;
import java.util.Hashtable;
import javax.security.cert.Certificate;
import javax.servlet.*;
import javax.servlet.http.*;
import javazoom.upload.*;

/**
 * Servlet para tratar as requisies das Caixas Pretas do Sistema Intranet
 */
public class BBoxAct extends HttpServlet {
    
    private byte[] byArquivo;
    private byte[] byArq1MD5;
    private byte[] byArq1SHA;
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=ISO8859-1");
        PrintWriter out = response.getWriter();
        try {
            RequestDispatcher rd;
            String acao = request.getParameter("acao");           
                        
            // <editor-fold defaultstate="collapsed" desc="acao=menubbox">
            if (acao.equals("menubbox")) {
                rd = request.getRequestDispatcher("/WEB-INF/bbox/menubbox.jsp");                       
                rd.forward(request,response);  
            } else 
            // </editor-fold>
            
            // <editor-fold defaultstate="collapsed" desc="acao=atenderminutas">    
            if (acao.equals("atenderminutas")) {
                rd = request.getRequestDispatcher("/WEB-INF/bbox/atenderminutas.jsp");                       
                rd.forward(request,response);  
            }
            // </editor-fold>
                        
            // <editor-fold defaultstate="collapsed" desc="acao=pagarminutas">
            if (acao.equals("pagarminutas")) {
                rd = request.getRequestDispatcher("/WEB-INF/bbox/pagarminutas.jsp");                       
                rd.forward(request,response);  
            }
            // </editor-fold>
            
            // <editor-fold defaultstate="collapsed" desc="acao=enviarminuta">
            if (acao.equals("enviarminuta")) {
                rd = request.getRequestDispatcher("/WEB-INF/bbox/enviarminuta.jsp");                       
                rd.forward(request,response);  
            }
            // </editor-fold>
            
            // <editor-fold defaultstate="collapsed" desc="acao=enviararquivominuta">
            if (acao.equals("enviararquivominuta")) {
                                
                // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>                         
                
                MultipartFormDataRequest mrequest = new MultipartFormDataRequest(request);                
                String solser = mrequest.getParameter("solser");
                byArquivo = getFile("arquivo", mrequest);
                
                SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico varsolser = new Solicitacaoservico();
                varsolser = daosolser.selectPK(new Integer(solser));
                java.util.Date date = new java.util.Date();
                
                // Criptografa o arquivo passado
                CriptoUtils cripto = new CriptoUtils();
                byArq1MD5 = cripto.md5(byArquivo);
                byArq1SHA = cripto.sha1(byArquivo);        
                
                // Converter pra string, para fazer o select
                String sArq1MD5 = new String(byArq1MD5);
                String sArq1SHA1 = new String(byArq1SHA);
                
                Documentoarquivo docarq = new Documentoarquivo();
                docarq.setDocCodigo(varsolser.getDocCodigo());
                docarq.setDocArquivo(byArquivo);
                docarq.setMD5(sArq1MD5);
                docarq.setSHA(sArq1SHA1);
                docarq.setNomeArquivo("");
                DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
                daodocarq.insert(docarq);
                
                rd = request.getRequestDispatcher("/WEB-INF/bbox/menubbox.jsp");                       
                rd.forward(request,response);  
            }
            // </editor-fold>
            
            // <editor-fold defaultstate="collapsed" desc="acao=efetuarpagamentominuta">
            if (acao.equals("efetuarpagamentominuta")) {
                try {
                
                  // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>
              
                  // <editor-fold defaultstate="collapsed" desc="Inicializa variveis">
                String solser = request.getParameter("solser");
                String valor = request.getParameter("valor");
                Detalhepagamento detpag = new Detalhepagamento();
                DetalhepagamentoDAO daodetpag = new DetalhepagamentoDAO(conn);
                java.lang.Integer newdetpagcod = daodetpag.maxDetpagCodigo();
                int detpagcod = newdetpagcod.intValue();
                ++detpagcod;
                java.util.Date date = new java.util.Date();
                // </editor-fold>
                
                  // <editor-fold defaultstate="collapsed" desc="Faz Insert em detalhepagamentos">
                detpag.setSolserCodigo(new Integer(solser));
                detpag.setDetpagCodigo(detpagcod);
                detpag.setDetpagDescri("Pagamento");
                detpag.setDetpagValpag(new Double(valor));
                detpag.setDetpagDatcad(date);                                
                daodetpag.insert(detpag);
                // </editor-fold>
                                
                  rd = request.getRequestDispatcher("/WEB-INF/bbox/menubbox.jsp");                       
                  rd.forward(request,response);  
                } catch( Exception e) {
                  e.printStackTrace();
                  if( e instanceof NotariumError )
                     request.setAttribute("erro",e);
                  rd = request.getRequestDispatcher("/erro.jsp");
                  rd.forward(request,response);
                }
            }
            // </editor-fold>
            
            
        } catch( Exception e) {
            e.printStackTrace();
            if( e instanceof NotariumError ) {
                request.setAttribute("erro",e);
            }
            RequestDispatcher rd = request.getRequestDispatcher("erro.jsp");
            rd.forward(request,response);
        }    
            
        out.close();
    }
    
     /**
     * Fazer o upload do arquivo
     * @param nomeArq Nome do campo da pgina JSP que contm o arquivo
     * @param mreq Um objeto do tipo MultipartFormDataRequest, usado para o upload
     */    
    public byte[] getFile(String nomeArq, MultipartFormDataRequest mreq) {
        mreq.getParameter(nomeArq);
        Hashtable ht = mreq.getFiles();
        UploadFile up = (UploadFile) ht.get(nomeArq);
        return up.getData();
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
