/*
 * CaixaPretaAssinaturaAct.java
 *
 * Created on 4 de Novembro de 2006, 12:09
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

import br.com.tabelionatomessias.utils.CaixaPretaAssinatura;
/**
 *
 * @author Michel
 * @version
 */
public class CaixaPretaAssinaturaAct extends HttpServlet {
    
    private String[] sArquivos;
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        HttpSession session = request.getSession();
        
        // Cdigos dos documentos
        int[] iCodDoc = (int[])session.getAttribute("CodDoc");
        File certificado = new File(request.getParameter("certifass"));
        
        // Arquivos
        ArrayList byArqToSign = new ArrayList();
        byArqToSign = (ArrayList) session.getAttribute("ArquivosAss");
        
        // Checkboxes
        Enumeration e = (Enumeration) request.getParameterNames();
        Integer[] sChecks = new Integer[iCodDoc.length];
        int iCont = 0;
        
       /* Enquanto tiver valores, vai adicionando.
        * O try..catch se encarrega de adicionar ao vetor
        * somente os numricos.
        */
        while (e.hasMoreElements()) {
            try {
                sChecks[iCont] = new Integer(request.getParameter(e.nextElement().toString()));
                iCont++;                
            } catch (Exception ex) { }
        }
        
        CaixaPretaAssinatura cpa = new CaixaPretaAssinatura();
        // Todos os arquivos que esto marcados devero ser assinados
        for (int iCont2 = 0; iCont2 <= iCont; iCont2 ++) {
            cpa.assinar((byte[])byArqToSign.get(iCont2), certificado);
        }

        out.close();
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
