/*
 * CertidaoAct.java
 *
 * Created on 4 de Novembro de 2006, 17:15
 */

package br.com.tabelionatomessias.act;

import com.sun.org.apache.xml.internal.serializer.ElemDesc;
import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;
import com.sun.net.ssl.internal.ssl.PKCS12KeyStore;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.cart.*;
import br.com.tabelionatomessias.dao.web.*;
import org.apache.naming.java.javaURLContextFactory;
import org.apache.poi.hssf.record.formula.functions.Year;
import org.apache.poi.hwpf.HWPFDocument;
import org.apache.poi.hwpf.extractor.WordExtractor;
import java.io.FileOutputStream;
import java.io.IOException;
import com.lowagie.text.*;
import com.lowagie.text.pdf.PdfWriter;
import br.com.tabelionatomessias.interfaces.IConstantes;



/**
 * Servlet para tratar as requisies relacionadas a Gerao, Validao e Download de Certides.
 */
public class CertidaoAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    
    private byte[] byArquivo;
    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        String acao = request.getParameter("acao");
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = novacertidao; ">
        if (acao.equals("novacertidao")) {
           try {  
              HttpSession session = request.getSession();
              String nome = request.getParameter("nome");
             // if (nome.equals("null")) { nome = ""; }
              String newurl = "/WEB-INF/paginas/solcertidao.jsp?nome="+nome;
              RequestDispatcher rd = request.getRequestDispatcher(newurl);                        
              rd.forward(request,response);     
                 
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/certidao.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
                          
        // <editor-fold defaultstate="collapsed" desc="ACAO = gerarcertidao; Mostrando a pagina com os detalhes da minuta.">
        if (acao.equals("gerarcertidao")) {
              try {
                  
              // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con= new Conexao();
                Connection conn = con.getConexao();

                // </editor-fold>
                HttpSession session = request.getSession();
                String codsolser = request.getParameter("solser");
                String doccodigo = request.getParameter("doccod");
                
             
                
                SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico solser = daosolser.selectPK(new Integer(codsolser));
              
                AtoslavDocsDAO daodocarq = new AtoslavDocsDAO(conn);
                AtoslavDocs docarq = daodocarq.selectPK(solser.getDocCodigo());
                
                AtoslavDAO daoatoslav = new AtoslavDAO(conn);
                Atoslav atoslav = daoatoslav.selectPK(solser.getAtoslavCodigo());
                
                Pessoa pessoa = new Pessoa();
                PessoaDAO daopessoa = new PessoaDAO(conn);
                pessoa = daopessoa.selectPK(solser.getPesCodigo());
                String pessoa_nome = pessoa.getPesNome();
                
                DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
                String data = dateFormat.format(solser.getSolserDatcad());
                
                ServletContext servletContext = this.getServletContext();
                String webinfPath = servletContext.getRealPath(IConstantes.PASTA_WEB_INF);
                String pathCertidao1 = webinfPath + IConstantes.CAMINHO_CERTIDAO_INP;
                String pathCertidao2 = webinfPath + IConstantes.CAMINHO_CERTIDAO_OUT;
                
                pathCertidao1 = pathCertidao1.replace("Inp.pdf","Inp"+codsolser+".pdf");
                pathCertidao2 = pathCertidao2.replace("Out.pdf","Out"+codsolser+".pdf");
                
                byte[] b = docarq.getAtosDocumento();
                File c = new File("cetbanco.doc");
                FileOutputStream fios = new FileOutputStream(c);
                fios.write(b);
                fios.close();

                // extrao do contedo do .DOC 
                FileInputStream is = new FileInputStream(c); 
                HWPFDocument wdoc = new HWPFDocument(is); 
                WordExtractor extractor = new WordExtractor(wdoc); 
                String conteudo = extractor.getText(); 
                conteudo = conteudo.replace("\n", " "); 
                conteudo = conteudo.replace("\f", ""); 
                conteudo = conteudo.replace("\r", ""); 
             
                
                Document document = new Document();
                document.setPageSize(PageSize.A4);
               // FileOutputStream fiospdf1 =  new FileOutputStream("Certidao.pdf");  //retirar depois
                FileOutputStream fiospdf =  new FileOutputStream(pathCertidao2);
               
           
                // <editor-fold defaultstate="collapsed" desc="Gera PDF">
	        PdfWriter.getInstance(document, fiospdf);
	        document.open();
	        
                Font font = FontFactory.getFont(FontFactory.HELVETICA_BOLDOBLIQUE, 18, Font.HELVETICA);  
                Paragraph cabecalho1 = new Paragraph("",font);
                cabecalho1.setAlignment(Element.ALIGN_CENTER);
                cabecalho1.add("Tabelionato Messias");
                document.add(cabecalho1);
                cabecalho1.clear();
                
                font = FontFactory.getFont(FontFactory.HELVETICA_BOLDOBLIQUE, 14, Font.HELVETICA);  
                Paragraph cabecalho2 = new Paragraph("",font);
                cabecalho2.setAlignment(Element.ALIGN_CENTER);
                cabecalho2.add("4 Ofcio de Notas da Comarca de Ponta Grossa/PR");
                document.add(cabecalho2);
                cabecalho2.clear();
                
                font = FontFactory.getFont(FontFactory.HELVETICA_BOLD, 10, Font.HELVETICA);  
	        Paragraph cabecalho3 = new Paragraph("",font);
                cabecalho3.setAlignment(Element.ALIGN_CENTER);
                cabecalho3.add("Rua Quinze de Novembro 357 - Centro - Ponta Grossa PR"); 
                document.add(cabecalho3);
 
                cabecalho3.clear();
                cabecalho3.add(" ");
                document.add(cabecalho3);


                font = FontFactory.getFont(FontFactory.TIMES_ROMAN, 16, Font.BOLD);  
                Paragraph titulo = new Paragraph("",font);
                titulo.setAlignment(Element.ALIGN_CENTER);
                titulo.add(IConstantes.CERT_TITULO);
	        document.add(titulo);
                   
                font = FontFactory.getFont(FontFactory.TIMES_ROMAN, 12, Font.NORMAL);  
                Paragraph paragraph = new Paragraph("",font);
                paragraph.clear();
                paragraph.add(" ");
                document.add(paragraph);
                paragraph.add(" ");
                document.add(paragraph);
                  
                // Extenso do nmero de livro e folha
                Extenso extensolivro = new Extenso(new Integer(atoslav.getAtosLivnro().trim()));
                extensolivro.toString();
                Extenso extensofolha = new Extenso(new Integer(atoslav.getAtosFlsnro().trim()));
                extensofolha.toString();
                Calendar cal = Calendar.getInstance();
                int anocorrente = cal.get(Calendar.YEAR);
                
                //SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
                  
                GeraPDF gerarpdf = new GeraPDF();
                String codval = gerarpdf.gerarCodigoValidacao(anocorrente,solser.getSolserCodigo().intValue());
                   
                paragraph.clear();
                paragraph.setAlignment(Element.ALIGN_JUSTIFIED);
                paragraph.add("                          Certifico a pedido de "+pessoa_nome.trim()+", que revendo os livros de escrituras, neles no de n. " +  atoslav.getAtosLivnro() + " (" + extensolivro + "), s folhas. " + atoslav.getAtosFlsnro() + " (" + extensofolha + "), consta o seguinte:  " );
                                
                paragraph.add(conteudo);
                document.add(paragraph);
                paragraph.clear();
                paragraph.add(IConstantes.CERT_TEXTO1);
         
                document.add(paragraph);
                paragraph.clear();
                paragraph.add(" ");
                document.add(paragraph);

                   
                paragraph.setAlignment(Element.ALIGN_CENTER);                   
                paragraph.clear();
                paragraph.add(IConstantes.CERT_TEXTO2 + data);
                document.add(paragraph);
         
                paragraph.clear();
                paragraph.add(" ");
                document.add(paragraph);
                
                paragraph.clear();
                paragraph.add(IConstantes.CERT_TABELIAO);
                document.add(paragraph);
         
                paragraph.clear();
                paragraph.add(IConstantes.CERT_NUM_TABELIAO);
                document.add(paragraph);
	        
                paragraph.clear();
                paragraph.add(" ");
                document.add(paragraph);
                
                font = FontFactory.getFont(FontFactory.TIMES_ROMAN, 11, Font.BOLDITALIC);  
                Paragraph paragraph1 = new Paragraph("",font);
                paragraph1.setAlignment(Element.ALIGN_CENTER);  
                paragraph1.clear();
                paragraph1.add(IConstantes.CERT_TEXTO3 + codval);
                document.add(paragraph1);
         
                document.close();
                fiospdf.close();
          // </editor-fold>     
          
                
                 // <editor-fold defaultstate="collapsed" desc="Assina PDF"> 
                // Pegar a senha do tabelio para fazer a assinatura.
                String pathXml = webinfPath + IConstantes.WEB_XML;
                String valoresXml[] = new String[] {pathXml, "param-name", "param-value"};
                XMLReader xml = new XMLReader();
                Map map = xml.getParamValue(valoresXml);
                String senhaTabeliao = (String) map.get("Senha");                

                // Carregar o arquivo de certficado do tabelionato.
                String certPath = webinfPath + IConstantes.CAMINHO_CERTIFICADO_ROOT;
                FileInputStream arquivoCert = new FileInputStream(certPath);
                PKCS12KeyStore rootCertFile = new PKCS12KeyStore();
                rootCertFile.engineLoad(arquivoCert, senhaTabeliao.toCharArray());
                arquivoCert.close();

                
                 // Arquivos de entrada e sada do PDF.
                FileInputStream input = new FileInputStream(pathCertidao2);
                FileOutputStream output = new FileOutputStream(pathCertidao1);

               // Setar os arquivos na classe e pegar o PDF assinado.
               FileSigner signer = new FileSigner();
               signer.setPdfPathIn(input);
               signer.setPdfPathOut(output);
               signer.setCertIn(arquivoCert);
             //  output = signer.assinarPDF(senhaTabeliao, rootCertFile);
      
               output.flush();
               output.close();
               input.close();
                   // </editor-fold> 
               // retirar depois
               // File cpdf = new File("Certidao.pdf"); // Mirela
               // byArquivo = getBytesOf(cpdf);
              // fim do retirar depois  
               
              // File f1 = new File(pathCertidao1);  //ver se  isso mesmo
               File f1 = new File(pathCertidao1);
               File f2 = new File(pathCertidao2); // ver se  isso mesmo

               FileInputStream reading = new FileInputStream(f1);

               byte[] byArquivo = new byte[(int)f1.length()];
               reading.read(byArquivo);
               
               
                Documentoarquivo docarq2 = new Documentoarquivo();
                docarq2.setDocCodigo(new Integer(doccodigo));
                docarq2.setDocArquivo(byArquivo);
                docarq2.setMD5("");
                docarq2.setSHA("");
                docarq2.setNomeArquivo("");
                docarq2.setDocverificador(codval);
                DocumentoarquivoDAO daodocarq2 = new DocumentoarquivoDAO(conn);
                daodocarq2.insert(docarq2);
                conn.commit();
                
                reading.close();
                f1.delete();
                f2.delete();
                
              
                //session.setAttribute("certidaoPDF",fiospdf); // Verificar se este arquivo  o certo.
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/certidaoconcluida.jsp");
                rd.forward(request,response);
              } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solcertidao.jsp");
                rd.forward(request,response);
            }
          }
        // </editor-fold>
               
        // <editor-fold defaultstate="collapsed" desc="ACAO = certidaopgto; ">
        if (acao.equals("certidaopgto")) {
            try {
               HttpSession session = request.getSession(); 
                
               // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
               Conexao con = new Conexao();
               Connection conn = con.getConexao();

               // </editor-fold>
               
               String atoslav = request.getParameter("atoslav");
               session.setAttribute("atoslav",atoslav);
                       
               TiposolicitacaoDAO daotipsol = new TiposolicitacaoDAO(conn);
               Tiposolicitacao tipsol = daotipsol.selectPK(new Integer(2)); // tipo de solicitao  certidao
               session.setAttribute("minutaprecocusto",tipsol.getTipsolValor());
               //conn.close();
               RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/certidaoformapagamento.jsp");                                   
               rd.forward(request,response); 
            } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solcertidao.jsp");
                rd.forward(request,response);
            }
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = salvar; Salva toda a certido">
        if (acao.equals("salvar")) {
            Conexao con = null;
            Connection conn = null;
            try {            
            
                // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                con= new Conexao();
                conn = con.getConexao();

                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Setar variveis">
                String codsolser = request.getParameter("solser");
                String atoslav = request.getParameter("atoslav");
                HttpSession session = request.getSession();
                // </editor-fold>*/
                
                // <editor-fold defaultstate="collapsed" desc="Inclui um registro na tabela Documento">
                Documento documento = new Documento();                      
                DocumentoDAO documentodao = new DocumentoDAO(conn);
                java.lang.Integer cod = documentodao.maxDocCodigo();
                int newcod = cod.intValue();
                ++newcod;
                documento.setDocCodigo(newcod);
                documentodao.insert(documento);
                
                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui uma nova Solicitao de Servio no Banco">
                SolicitacaoservicoDAO daosolserv = new SolicitacaoservicoDAO(conn);
                java.lang.Integer newsolsercod = daosolserv.maxSolserCodigo();
                int solsercod = newsolsercod.intValue();
                ++solsercod;
                
                Solicitacaoservico solserv = new Solicitacaoservico();
                solserv.setSolserCodigo((Integer) solsercod);
                solserv.setDocCodigo(newcod);
                String codpessoa = session.getAttribute("codpessoa").toString();
                solserv.setPesCodigo(new Integer(codpessoa));
                solserv.setTipsolCodigo(new Integer(2));
                String codatoslav = session.getAttribute("atoslav").toString();
                solserv.setAtoslavCodigo((new Integer(codatoslav)));
                java.util.Date date = new java.util.Date();
                solserv.setSolserDatcad(date);
                
                daosolserv.insert(solserv);
              
                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui um Detalhamento de Servio para a solicitao de Servio">
                DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
                java.lang.Integer newdetsercod = daodetserv.maxDetSerCodigo((Integer) solsercod);
                int detsercod = newdetsercod.intValue();
                ++detsercod;
                Detalheservico detserv = new Detalheservico();
                detserv.setSolserCodigo((Integer) solsercod);
                detserv.setDetserCodigo((Integer) detsercod);
                detserv.setDetserDescri("Solicitao de Certido");
                detserv.setStatusCodigo(new Integer(1));
                String preco = session.getAttribute("minutaprecocusto").toString();
                detserv.setDetserValor(new Double(preco));
                detserv.setDetserDatcad(date);
                daodetserv.insert(detserv);
                conn.commit();
                // </editor-fold>
                
                Integer idoccodigo = new Integer(newcod);
                String doccodigo = idoccodigo.toString();
                Integer isolsercod = new Integer(solsercod);
                String nsolsercod = isolsercod.toString();
                conn.close();
                RequestDispatcher rd = request.getRequestDispatcher("certidao.acao?acao=gerarcertidao&solser=" + nsolsercod + "&doccod=" + doccodigo );                                        
                rd.forward(request,response); 
                
            } catch( Exception e) {
                try {
                conn.rollback();
            } catch (SQLException sqlex) {
                sqlex.printStackTrace();
            }
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/erro.jsp");
                rd.forward(request,response);
            }
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = download;">
        if (acao.equals("download")) {
           try {  
               
                // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con= new Conexao();
                Connection conn = con.getConexao();

                // </editor-fold>     
                
                String codsolser = request.getParameter("solser");
               
                SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico solser = daosolser.selectPK(new Integer(codsolser));
              
                DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
                Documentoarquivo docarq = daodocarq.selectPK(solser.getDocCodigo());
                
                byte[] b = docarq.getDocArquivo();
                File c = new File("certidao.pdf");
                FileOutputStream fios = new FileOutputStream(c);
                fios.write(b);

                response.setContentType("application/octet-stream");
                response.setContentLength((int) c.length());
                response.setHeader("Content-Disposition","attachment; filename=\"certidao.pdf\"");
                BufferedInputStream bis = new BufferedInputStream(new FileInputStream(c));
                ServletOutputStream sos = response.getOutputStream();
               
                byte[] buf = new byte[1024];
                int count = 0;
                while ((count = bis.read(buf)) >= 0) {
                    sos.write(buf, 0, count);
                }
                bis.close();
                sos.flush();
                sos.close();
               // conn.close();
               
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/certidao.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
                  
        // <editor-fold defaultstate="collapsed" desc="ACAO = validarcertidao; Validar a Certido">
        if (acao.equals("validarcertidao")) {                
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/valcertidao.jsp");
                rd.forward(request,response);                
        }  
        // </editor-fold>
                
        // <editor-fold defaultstate="collapsed" desc="ACAO = validarcert;">
        if (acao.equals("validarcert")) {
           try {  
               
               // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
               Conexao con= new Conexao();
               Connection conn = con.getConexao();

                // </editor-fold>     
                
               String p1 = request.getParameter("p1");
               String p2 = request.getParameter("p2");
               String p3 = request.getParameter("p3");
               String p4 = request.getParameter("p4");
               
               String verif = p1 + "." + p2 + "." + p3 + "-" + p4;
               
               DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
               Documentoarquivo docarq = daodocarq.selectVerificador(verif);
               String newurl = "/WEB-INF/paginas/resvalcertidao.jsp";
               if (docarq !=null){
                 newurl = newurl + "?tipo=autentica&doccod=" + docarq.getDocCodigo().toString(); }
               else { newurl = newurl + "?tipo=falsa";
               }
               //conn.close();
               RequestDispatcher rd = request.getRequestDispatcher(newurl);                       
               rd.forward(request,response); 
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/valcertidao.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
        
    }
    
    
   
    /** Converter File em bytes[].
   * @param File file
   *@return byte[] bytes
   *@throws IOException
   */
    public static byte[] getBytesOf(File file) throws IOException {

		InputStream is = new FileInputStream(file);
		// Pega o tamanho do arquivo
		long length = file.length();

		// Nao  possivel criar uma array com um valor long.
		//  necessrio que se converta para inteiro.
		// Antes te converter para inteiro verifica-se
		// se o tamanho do arquivo nao  maior do que o tamanho
		// mximo de um inteiro
		if (length > Integer.MAX_VALUE) {
			//se for maior retorna nulo
			return null;
		}

		// Cria-se uma array de byte com o tamnho do arquivo
		// para guardar os dados
		byte[] bytes = new byte[(int) length];

		// faz-se a conversao com o loca while
		int offset = 0;
		int numRead = 0;
		while (offset < bytes.length
			&& (numRead = is.read(bytes, offset, bytes.length - offset)) >= 0) {
			offset += numRead;
		}
		// Assegura de que todos os dados foram lidos
		if (offset < bytes.length) {
			//se no foram lidos corretamente retorna nulo
			return null;
		}

		is.close();
		return bytes;
	}


    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
