/*
 * MenuAct.java
 *
 * Created on 2 de Novembro de 2006, 14:27
 */

package br.com.tabelionatomessias.act;

import br.com.tabelionatomessias.interfaces.IConstantes;
import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.ArrayList;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.web.Documento;
import br.com.tabelionatomessias.dao.web.Entregasolicitacao;

/**
 * Tratar as requisies do Menu
 */
public class MenuAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {  
            String acao = request.getParameter("acao");           
            RequestDispatcher rd;
            HttpSession session = request.getSession();
            if (session.getAttribute("codpessoa") == null) {
                rd = request.getRequestDispatcher("login.jsp");                       
                rd.forward(request,response);                  
            } else 
            
            if (acao.equals("minutas")) {
                rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");                       
                rd.forward(request,response);  
            } else 
         
            if (acao.equals("extrato")) {
                rd = request.getRequestDispatcher("/WEB-INF/paginas/extratoservicos.jsp");                       
                rd.forward(request,response);  
            } else
          
          
            if (acao.equals("procurarfirma")) {            
                rd = request.getRequestDispatcher("pessoa.acao?acao=procfirma&tipo=0&nome=");                       
                rd.forward(request,response);
            } else
                
            if (acao.equals("procurarsinpub")) {            
                rd = request.getRequestDispatcher("sinpub.acao?acao=procsinpub&tipo=0&nome=");                       
                rd.forward(request,response);
            } else
            
            if (acao.equals("loccep")) {            
                String cep = request.getParameter("cep");
                String comple = request.getParameter("comple");
                String edicao = request.getParameter("edicao");
                rd = request.getRequestDispatcher("/WEB-INF/paginas/showenderecodocep.jsp?cep=" + cep +"&comple="+ comple + "&edicao=" + edicao);                       
                rd.forward(request,response);
            } else
                
            if (acao.equals("certidao")) {
                session.setAttribute("codPageCaller", IConstantes.COD_SOLIC_CERTIDAO);
                rd = request.getRequestDispatcher("/WEB-INF/paginas/certidao.jsp");
                rd.forward(request,response);
            } else
                
            if (acao.equals("home")) {
                rd = request.getRequestDispatcher("/WEB-INF/paginas/index.jsp");
                rd.forward(request,response);
            } else    
                
            if (acao.equals("ajuda")) {
                rd = request.getRequestDispatcher("/help/Index.jsp");
                rd.forward(request,response);
            } else

          
            if (acao.equals("certdigi")) {
                rd = request.getRequestDispatcher("/WEB-INF/paginas/certdigi.jsp");
                rd.forward(request,response);                
            } else
          
            if (acao.equals("regdocdigi")) {
                if ("SIM".equals(request.getParameter("go"))) {
                    rd = request.getRequestDispatcher("/WEB-INF/paginas/regdocdigi.jsp");
                    rd.forward(request,response);
                } else {
                    rd = request.getRequestDispatcher("/WEB-INF/paginas/certdigi.jsp");
                    rd.forward(request,response);                    
                }
            } else
          
            if (acao.equals("soliccertdigi")) {
                if ("SIM".equals(request.getParameter("go"))) {
                    boolean passouWrn = false;
                    boolean revoga = Boolean.valueOf(session.getAttribute("revoga").toString());
                    if (session.getAttribute("passouWrn") != null) {
                        passouWrn = Boolean.valueOf(session.getAttribute("passouWrn").toString());
                    }
                    if (!passouWrn && revoga) {
                        session.setAttribute("passouWrn", true);
                        rd = request.getRequestDispatcher("/WEB-INF/paginas/warning.jsp");
                        rd.forward(request,response);
                    } else {
                        session.setAttribute("passouWrn", false);
                        rd = request.getRequestDispatcher("/WEB-INF/paginas/soliccertdigi.jsp");
                        rd.forward(request,response);                        
                    }    
                } else {
                    session.setAttribute("passouWrn", false);
                    rd = request.getRequestDispatcher("/WEB-INF/paginas/certdigi.jsp");
                    rd.forward(request,response);
                }    
            } else
          
            if (acao.equals("verifregdocdigi")) {
                session.setAttribute("codPageCaller", IConstantes.COD_SOLIC_VERIF_REG_DOCS);
                rd = request.getRequestDispatcher("/WEB-INF/paginas/verifregdocdigi.jsp");
                rd.forward(request,response);                
            } else
          
            if (acao.equals("atualcad")) {
                rd = request.getRequestDispatcher("/WEB-INF/paginas/atualcad.jsp");
                rd.forward(request,response);                
            }  else
            
            if (acao.equals("warning1")) {
                session.setAttribute("servlet", IConstantes.SERVLET_REG_DOC_DIGI);
                session.setAttribute("codPageCaller", IConstantes.COD_SOLIC_REG_DOCS);
                rd = request.getRequestDispatcher("/WEB-INF/paginas/warning.jsp");
                rd.forward(request,response);                
            } else
                
            if (acao.equals("warning2")) {
                session.setAttribute("servlet", IConstantes.SERVLET_SOLIC_CERT_DIGI);
                session.setAttribute("codPageCaller", IConstantes.COD_SOLIC_CERT_DIGI);
                if (session.getAttribute("usercert") == null) {
                    session.setAttribute("revoga", false);
                    rd = request.getRequestDispatcher("/WEB-INF/paginas/warning.jsp");
                    rd.forward(request,response);
                } else {
                    session.setAttribute("revoga", true);
                    rd = request.getRequestDispatcher("/WEB-INF/paginas/confrevoga.jsp");
                    rd.forward(request,response);                    
                }
            }     
        } catch( Exception e) {
            e.printStackTrace();
            if( e instanceof NotariumError ) {
                request.setAttribute("erro",e);
            }
            RequestDispatcher rd = request.getRequestDispatcher("erro.jsp");
            rd.forward(request,response);
        }
        out.close();
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
