/*
 * PessoaAct.java
 *
 * Created on 4 de Agosto de 2006, 20:30
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import java.sql.*;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.cart.*;
import br.com.tabelionatomessias.dao.web.*;
import br.com.tabelionatomessias.utils.NotariumError;

/**
 * Servlet para tratar as requisies relacionadas a Procura por Firmas, Login, e Atualizao de Cadastro.
 */
public class PessoaAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {       
        
        String acao = request.getParameter("acao");
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = procfirma; Consulta de firmas.">
            if (acao.equals("procfirma")) {
                
                    String tipobusca = request.getParameter("tipobusca");
                    String nome = request.getParameter("nome");

                    String newurl = "/WEB-INF/paginas/procurarfirma.jsp?tipobusca="+ tipobusca+ "&nome="+nome;

                    RequestDispatcher rd = request.getRequestDispatcher(newurl);                        
                    rd.forward(request,response);     
                 
            }
            // </editor-fold>
            
        // <editor-fold defaultstate="collapsed" desc="ACAO = procfirmaparticipante; Consulta de firmas para os participantes da Minuta.">
            if (acao.equals("procfirmaparticipante")) {
                
                String tipobusca = request.getParameter("tipobusca");
                String nome = request.getParameter("nome");
                
                String newurl = "/WEB-INF/paginas/minutaaddparticipante.jsp?tipobusca="+ tipobusca+ "&nome="+nome;
                
                 RequestDispatcher rd = request.getRequestDispatcher(newurl);                        
                 rd.forward(request,response);                                
            }
            // </editor-fold>   
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = salvar; Atualiza o cadastro da pessoa.">
            if (acao.equals("salvar")) {
             try {   
                String senhaatual = request.getParameter("senhaatual");
                String nsenha1 = request.getParameter("nsenha1");
                String nsenha2 = request.getParameter("nsenha2");
                String cep = request.getParameter("cep");
                String fone1 = request.getParameter("fone1");
                String fone2 = request.getParameter("fone2");
                String pescodigo = request.getParameter("pescodigo");
                String complemento = request.getParameter("complemento");
                String loccod = request.getParameter("loccodigo");
                String ufcod = request.getParameter("ufcodigo");
                
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                
                PessoaDAO daopessoa = new PessoaDAO(conn);
                Pessoa pessoa = null;
                pessoa = daopessoa.selectPK(new Integer(pescodigo));
                
                cep = cep.replace("-","");
                
                CepDAO daocep = new CepDAO(conn);;
                List res2 = new ArrayList();
                res2 = daocep.getCep(cep);
                Cep vcep = null;
                if (res2.iterator().hasNext()) {
                  vcep = (Cep) res2.iterator().next();
                }
                
                
                if (senhaatual.equals("")) { throw new NotariumError("Senha Atual No Informada/Invlido!"); }
             //   if (cep.equals("")) { throw new NotariumError("Cep No Informado/Invlido!"); }
                if (vcep == null) {                     
                    if (ufcod.equals("")) { throw new NotariumError("Uf No Informado/Invlido!"); }
                    if (loccod.equals("")) { throw new NotariumError("Cidade No Informado/Invlido!"); }
                }
                if (!pessoa.getPesSenha().equals(senhaatual)) { throw new NotariumError("Senha Atual No Informada/Invlido!"); }
                if (!nsenha1.equals(nsenha2)) { throw new NotariumError("Nova senha No Confere/Invlido!"); }
                
                if (!nsenha1.equals("")) {
                  pessoa.setPesSenha(nsenha1);
                }
                if (vcep == null) {
                  pessoa.setPesEndUf(new Integer(ufcod));
                  pessoa.setPesEndCidade(new Integer(loccod));
                  pessoa.setPesComplemento(complemento);
                } else {
                  pessoa.setPesEndCidade(vcep.getCeplogLoc());
                  pessoa.setPesEndUf(vcep.getCeplogUf());
                  pessoa.setPesEndBairro(vcep.getCeplogBai());
                  pessoa.setPesEndNro(new Integer(complemento));
                }
                pessoa.setPesTelefone1(fone1);
                pessoa.setPesTelefone2(fone2);
                pessoa.setPesEndCep(cep);
                
                daopessoa.update(pessoa);
                
        //        String newurl = "/WEB-INF/paginas/minutaaddparticipante.jsp?tipobusca="+ tipobusca+ "&nome="+nome;
                
                 RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/operconcl.jsp");                        
                 rd.forward(request,response);                                
                 } catch(NumberFormatException nfe) {
                    NotariumError m = new NotariumError("(*) Informe apenas digitos numricos (valores inteiros).");
                    request.setAttribute("erro",m);
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/atualcad.jsp");
                    rd.forward(request,response);
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/atualcad.jsp");
                    rd.forward(request,response);
                }
            }
            // </editor-fold>
            
        // <editor-fold defaultstate="collapsed" desc="ACAO = login; Valida o Login do usuario.">  
          if (acao.equals("login")) {
            try {
                    if( (request.getParameter("login") == null) || (request.getParameter("login") == "")) {
                       throw new NotariumError("(*) Login No Informado/Invlido!");
                    }
                    if( (request.getParameter("senha") == null) || (request.getParameter("senha") == "")) {
                       throw new NotariumError("(*) Senha No Informado/Invlido!");
                    }

                    Conexao con;
                    Connection conn;
                    con = new Conexao();             
                    conn = con.getConexao();

                    PessoaDAO pessoaDao;
                    pessoaDao = new PessoaDAO(conn);
                    Pessoa pessoa = new Pessoa();
                    pessoa = pessoaDao.selectLogin(request.getParameter("login"));
                    java.lang.String senha = pessoa.getPesSenha();
                    java.lang.String logind = request.getParameter("login");
                    java.lang.String senhad = request.getParameter("senha");
                    java.lang.String login = pessoa.getPesLogin();
                   if (!login.equals(logind) || !senha.equals(senhad)) {
                        throw new NotariumError("(*) Login ou Senha Invlidos!");
                    }
                    HttpSession session = request.getSession();
                    session.setAttribute("usuario",pessoa);
                    session.setAttribute("usercert", pessoa.getPesCertificado()); 
                    session.setAttribute("codpessoa",pessoa.getPesCodigo());
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/index.jsp");            

                    rd.forward(request,response); 
                    // session.setAttribute("login",login);
                } catch(NumberFormatException nfe) {
                    NotariumError m = new NotariumError("(*) Informe apenas digitos numricos (valores inteiros).");
                    request.setAttribute("erro",m);
                    RequestDispatcher rd = request.getRequestDispatcher("login.jsp");
                    rd.forward(request,response);
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("login.jsp");
                    rd.forward(request,response);
                }
             
            }
            // </editor-fold>

        
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
