
package br.com.tabelionatomessias.dao.cart;
import java.text.SimpleDateFormat;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Atoslav.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela atoslav
 * @author JLMM
 */
public class Atoslav {

    private java.lang.Integer atosPessoa;
    private java.lang.String atosPapel;
    private java.lang.Integer atosTipato;
    private java.lang.Integer atosCodigo;
    private java.lang.String atosLivnro;
    private java.lang.String atosFlsnro;
    private java.lang.String atosFlsvrs;
    private java.sql.Date atosDatlavratura;
    private java.lang.Integer atosEscrevente;
    private java.lang.Double atosValcustas;
    private java.lang.String atosDescrobjeto;
    private java.lang.Double atosValobj;
    private java.lang.String atosArqtexto;
    private java.sql.Date atosDatcad;
    private java.lang.Integer atosFunccad;
    private java.lang.String atosProtnro;
    private java.lang.Integer atosNatureza;
    private java.sql.Date atosDatRecFunrejus;
    private java.lang.Double atosValRecFunrejus;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Atoslav() {}

    /**
     * setAtosPessoa(java.lang.Integer atosPessoa)
     * Mtodo para atribuir um novo valor ao atributo atosPessoa
     */
    public void setAtosPessoa(java.lang.Integer atosPessoa) {
      this.atosPessoa = atosPessoa;
    }
/**
     * getAtosPessoa(java.lang.Integer atosPessoa) 
     * Mtodo para ler o valor do atributo atosPessoa
     */
    public java.lang.Integer getAtosPessoa() {
      return this.atosPessoa;
    }
   
    /**
     * setAtosTipato(java.lang.Integer atosTipato)
     * Mtodo para atribuir um novo valor ao atributo atosTipato
     */
    public void setAtosTipato(java.lang.Integer atosTipato) {
      this.atosTipato = atosTipato;
    }

    /**
     * getAtosTipato(java.lang.Integer atosTipato) 
     * Mtodo para ler o valor do atributo atosTipato
     */
    public java.lang.Integer getAtosTipato() {
      return this.atosTipato;
    }
    
    /**
     * setAtosCodigo(java.lang.Integer atosCodigo)
     * Mtodo para atribuir um novo valor ao atributo atosCodigo
     */
    public void setAtosCodigo(java.lang.Integer atosCodigo) {
      this.atosCodigo = atosCodigo;
    }

    /**
     * getAtosCodigo(java.lang.Integer atosCodigo) 
     * Mtodo para ler o valor do atributo atosCodigo
     */
    public java.lang.Integer getAtosCodigo() {
      return this.atosCodigo;
    }
    
    /**
     * setAtosLivnro(java.lang.String atosLivnro)
     * Mtodo para atribuir um novo valor ao atributo atosLivnro
     */
    public void setAtosLivnro(java.lang.String atosLivnro) {
      this.atosLivnro = atosLivnro;
    }

    /**
     * getAtosLivnro(java.lang.String atosLivnro) 
     * Mtodo para ler o valor do atributo atosLivnro
     */
    public java.lang.String getAtosLivnro() {
      return this.atosLivnro;
    }
    
    /**
     * setAtosFlsnro(java.lang.String atosFlsnro)
     * Mtodo para atribuir um novo valor ao atributo atosFlsnro
     */
    public void setAtosFlsnro(java.lang.String atosFlsnro) {
      this.atosFlsnro = atosFlsnro;
    }

    /**
     * getAtosFlsnro(java.lang.String atosFlsnro) 
     * Mtodo para ler o valor do atributo atosFlsnro
     */
    public java.lang.String getAtosFlsnro() {
      return this.atosFlsnro;
    }
    
    /**
     * setAtosFlsvrs(java.lang.String atosFlsvrs)
     * Mtodo para atribuir um novo valor ao atributo atosFlsvrs
     */
    public void setAtosFlsvrs(java.lang.String atosFlsvrs) {
      this.atosFlsvrs = atosFlsvrs;
    }

    /**
     * getAtosFlsvrs(java.lang.String atosFlsvrs) 
     * Mtodo para ler o valor do atributo atosFlsvrs
     */
    public java.lang.String getAtosFlsvrs() {
      return this.atosFlsvrs;
    }
    
    /**
     * setAtosDatlavratura(java.sql.Date atosDatlavratura)
     * Mtodo para atribuir um novo valor ao atributo atosDatlavratura
     */
    public void setAtosDatlavratura(java.sql.Date atosDatlavratura) {
      this.atosDatlavratura = atosDatlavratura;
    }

    /**
     * getAtosDatlavratura(java.sql.Date atosDatlavratura) 
     * Mtodo para ler o valor do atributo atosDatlavratura
     */
    public java.sql.Date getAtosDatlavratura() {
      return this.atosDatlavratura;
    }
    
    /**
     * setAtosEscrevente(java.lang.Integer atosEscrevente)
     * Mtodo para atribuir um novo valor ao atributo atosEscrevente
     */
    public void setAtosEscrevente(java.lang.Integer atosEscrevente) {
      this.atosEscrevente = atosEscrevente;
    }

    /**
     * getAtosEscrevente(java.lang.Integer atosEscrevente) 
     * Mtodo para ler o valor do atributo atosEscrevente
     */
    public java.lang.Integer getAtosEscrevente() {
      return this.atosEscrevente;
    }
    
    /**
     * setAtosValcustas(java.lang.Double atosValcustas)
     * Mtodo para atribuir um novo valor ao atributo atosValcustas
     */
    public void setAtosValcustas(java.lang.Double atosValcustas) {
      this.atosValcustas = atosValcustas;
    }

    /**
     * getAtosValcustas(java.lang.Double atosValcustas) 
     * Mtodo para ler o valor do atributo atosValcustas
     */
public java.lang.Double getAtosValcustas() {
      return this.atosValcustas;
    }
    
    /**
     * setAtosDescrobjeto(java.lang.String atosDescrobjeto)
     * Mtodo para atribuir um novo valor ao atributo atosDescrobjeto
     */
    public void setAtosDescrobjeto(java.lang.String atosDescrobjeto) {
      this.atosDescrobjeto = atosDescrobjeto;
    }

    /**
     * getAtosDescrobjeto(java.lang.String atosDescrobjeto) 
     * Mtodo para ler o valor do atributo atosDescrobjeto
     */
    public java.lang.String getAtosDescrobjeto() {
      return this.atosDescrobjeto;
    }
    
    /**
     * setAtosValobj(java.lang.Double atosValobj)
     * Mtodo para atribuir um novo valor ao atributo atosValobj
     */
    public void setAtosValobj(java.lang.Double atosValobj) {
      this.atosValobj = atosValobj;
    }

    /**
     * getAtosValobj(java.lang.Double atosValobj) 
     * Mtodo para ler o valor do atributo atosValobj
     */
    public java.lang.Double getAtosValobj() {
      return this.atosValobj;
    }
    
    /**
     * setAtosArqtexto(java.lang.String atosArqtexto)
     * Mtodo para atribuir um novo valor ao atributo atosArqtexto
     */
    public void setAtosArqtexto(java.lang.String atosArqtexto) {
      this.atosArqtexto = atosArqtexto;
    }

    /**
     * getAtosArqtexto(java.lang.String atosArqtexto) 
     * Mtodo para ler o valor do atributo atosArqtexto
     */
    public java.lang.String getAtosArqtexto() {
      return this.atosArqtexto;
    }
    
    /**
     * setAtosDatcad(java.sql.Date atosDatcad)
     * Mtodo para atribuir um novo valor ao atributo atosDatcad
     */
    public void setAtosDatcad(java.sql.Date atosDatcad) {
      this.atosDatcad = atosDatcad;
    }

    /**
     * getAtosDatcad(java.sql.Date atosDatcad) 
     * Mtodo para ler o valor do atributo atosDatcad
     */
    public java.sql.Date getAtosDatcad() {
      return this.atosDatcad;
    }
    
    /**
     * setAtosFunccad(java.lang.Integer atosFunccad)
     * Mtodo para atribuir um novo valor ao atributo atosFunccad
     */
    public void setAtosFunccad(java.lang.Integer atosFunccad) {
      this.atosFunccad = atosFunccad;
    }

    /**
     * getAtosFunccad(java.lang.Integer atosFunccad) 
     * Mtodo para ler o valor do atributo atosFunccad
     */
    public java.lang.Integer getAtosFunccad() {
      return this.atosFunccad;
    }
    
    /**
     * setAtosProtnro(java.lang.String atosProtnro)
     * Mtodo para atribuir um novo valor ao atributo atosProtnro
     */
    public void setAtosProtnro(java.lang.String atosProtnro) {
      this.atosProtnro = atosProtnro;
    }

    /**
     * getAtosProtnro(java.lang.String atosProtnro) 
     * Mtodo para ler o valor do atributo atosProtnro
     */
    public java.lang.String getAtosProtnro() {
      return this.atosProtnro;
    }
    
    /**
     * setAtosNatureza(java.lang.Integer atosNatureza)
     * Mtodo para atribuir um novo valor ao atributo atosNatureza
     */
    public void setAtosNatureza(java.lang.Integer atosNatureza) {
      this.atosNatureza = atosNatureza;
    }

    /**
     * getAtosNatureza(java.lang.Integer atosNatureza) 
     * Mtodo para ler o valor do atributo atosNatureza
     */
    public java.lang.Integer getAtosNatureza() {
      return this.atosNatureza;
    }
    
    /**
     * setAtosLivnro(java.lang.String atosLivnro)
     * Mtodo para atribuir um novo valor ao atributo atosLivnro
     */
    public void setAtosPapel(java.lang.String atosPapel) {
      this.atosPapel = atosPapel;
    }

    /**
     * getAtosLivnro(java.lang.String atosLivnro) 
     * Mtodo para ler o valor do atributo atosLivnro
     */
    public java.lang.String getPapel() {
      return this.atosPapel;
    }
    
    /**
     * setAtosDatRecFunrejus(java.sql.Date atosDatRecFunrejus)
     * Mtodo para atribuir um novo valor ao atributo atosDatRecFunrejus
     */
    public void setAtosDatRecFunrejus(java.sql.Date atosDatRecFunrejus) {
      this.atosDatRecFunrejus = atosDatRecFunrejus;
    }

    /**
     * getAtosDatRecFunrejus(java.sql.Date atosDatRecFunrejus) 
     * Mtodo para ler o valor do atributo atosDatRecFunrejus
     */
    public java.sql.Date getAtosDatRecFunrejus() {
      return this.atosDatRecFunrejus;
    }
    
    /**
     * setAtosValRecFunrejus(java.lang.Double atosValRecFunrejus)
     * Mtodo para atribuir um novo valor ao atributo atosValRecFunrejus
     */
    public void setAtosValRecFunrejus(java.lang.Double atosValRecFunrejus) {
      this.atosValRecFunrejus = atosValRecFunrejus;
    }

    /**
     * getAtosValRecFunrejus(java.lang.Double atosValRecFunrejus) 
     * Mtodo para ler o valor do atributo atosValRecFunrejus
     */
    public java.lang.Double getAtosValRecFunrejus() {
      return this.atosValRecFunrejus;
    }
    public String getFAtosDatlavratura() {
        String a = "";
        try {
           java.util.Date dateString = this.getAtosDatlavratura();
           SimpleDateFormat ft = new SimpleDateFormat("dd/MM/yyyy");
           a = ft.format(dateString);
        } catch (Exception e) {
           a = "";
        } finally {
          return a;
        }
    }

    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Atoslav ) {
               Atoslav outro = (Atoslav) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }

    
}
