
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Bairros.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela bairros
 * @author JLMM
 */
public class Bairros {

    
    private java.lang.Integer cepbaiCodigo;
    private java.lang.String cepbaiExtenso;
    private java.lang.String cepbaiLoc;
    private java.lang.String cepbaiAbrev;
    private java.lang.Integer ufCodigo;

    private Object pk;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Bairros() {}

    
    /**
     * setCepbaiCodigo(java.lang.Integer cepbaiCodigo)
     * Mtodo para atribuir um novo valor ao atributo cepbaiCodigo
     */
    public void setCepbaiCodigo(java.lang.Integer cepbaiCodigo) {
      this.cepbaiCodigo = cepbaiCodigo;
    }

    /**
     * getCepbaiCodigo(java.lang.Integer cepbaiCodigo) 
     * Mtodo para ler o valor do atributo cepbaiCodigo
     */
    public java.lang.Integer getCepbaiCodigo() {
      return this.cepbaiCodigo;
    }
    
    /**
     * setCepbaiExtenso(java.lang.String cepbaiExtenso)
     * Mtodo para atribuir um novo valor ao atributo cepbaiExtenso
     */
    public void setCepbaiExtenso(java.lang.String cepbaiExtenso) {
      this.cepbaiExtenso = cepbaiExtenso;
    }

    /**
     * getCepbaiExtenso(java.lang.String cepbaiExtenso) 
     * Mtodo para ler o valor do atributo cepbaiExtenso
     */
    public java.lang.String getCepbaiExtenso() {
      return this.cepbaiExtenso;
    }
    
    /**
     * setCepbaiLoc(java.lang.String cepbaiLoc)
     * Mtodo para atribuir um novo valor ao atributo cepbaiLoc
     */
    public void setCepbaiLoc(java.lang.String cepbaiLoc) {
      this.cepbaiLoc = cepbaiLoc;
    }

    /**
     * getCepbaiLoc(java.lang.String cepbaiLoc) 
     * Mtodo para ler o valor do atributo cepbaiLoc
     */
    public java.lang.String getCepbaiLoc() {
      return this.cepbaiLoc;
    }
    
    /**
     * setCepbaiAbrev(java.lang.String cepbaiAbrev)
     * Mtodo para atribuir um novo valor ao atributo cepbaiAbrev
     */
    public void setCepbaiAbrev(java.lang.String cepbaiAbrev) {
      this.cepbaiAbrev = cepbaiAbrev;
    }

    /**
     * getCepbaiAbrev(java.lang.String cepbaiAbrev) 
     * Mtodo para ler o valor do atributo cepbaiAbrev
     */
    public java.lang.String getCepbaiAbrev() {
      return this.cepbaiAbrev;
    }
    
    /**
     * setUfCodigo(java.lang.Integer ufCodigo)
     * Mtodo para atribuir um novo valor ao atributo ufCodigo
     */
    public void setUfCodigo(java.lang.Integer ufCodigo) {
      this.ufCodigo = ufCodigo;
    }

    /**
     * getUfCodigo(java.lang.Integer ufCodigo) 
     * Mtodo para ler o valor do atributo ufCodigo
     */
    public java.lang.Integer getUfCodigo() {
      return this.ufCodigo;
    }
    

    /**
     * equals
     * verifica a igualdade 
     */
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Bairros ) {
               Bairros outro = (Bairros) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
}
