
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Cep.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela cep
 * @author JLMM
 */
public class Cep {

    
    private java.lang.Integer ceplogCodigo;
    private java.lang.String ceplogNome;
    private java.lang.Integer ceplogCep;
    private java.lang.Integer ceplogBai;
    private java.lang.Integer ceplogUf;
    private java.lang.String ceplogTipo;
    private java.lang.Integer ceplogLoc;

    private Object pk;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Cep() {}

    
    /**
     * setCeplogCodigo(java.lang.Integer ceplogCodigo)
     * Mtodo para atribuir um novo valor ao atributo ceplogCodigo
     */
    public void setCeplogCodigo(java.lang.Integer ceplogCodigo) {
      this.ceplogCodigo = ceplogCodigo;
    }

    /**
     * getCeplogCodigo(java.lang.Integer ceplogCodigo) 
     * Mtodo para ler o valor do atributo ceplogCodigo
     */
    public java.lang.Integer getCeplogCodigo() {
      return this.ceplogCodigo;
    }
    
    /**
     * setCeplogNome(java.lang.String ceplogNome)
     * Mtodo para atribuir um novo valor ao atributo ceplogNome
     */
    public void setCeplogNome(java.lang.String ceplogNome) {
      this.ceplogNome = ceplogNome;
    }

    /**
     * getCeplogNome(java.lang.String ceplogNome) 
     * Mtodo para ler o valor do atributo ceplogNome
     */
    public java.lang.String getCeplogNome() {
      return this.ceplogNome;
    }
    
    /**
     * setCeplogCep(java.lang.Integer ceplogCep)
     * Mtodo para atribuir um novo valor ao atributo ceplogCep
     */
    public void setCeplogCep(java.lang.Integer ceplogCep) {
      this.ceplogCep = ceplogCep;
    }

    /**
     * getCeplogCep(java.lang.Integer ceplogCep) 
     * Mtodo para ler o valor do atributo ceplogCep
     */
    public java.lang.Integer getCeplogCep() {
      return this.ceplogCep;
    }
    
    /**
     * setCeplogBai(java.lang.Integer ceplogBai)
     * Mtodo para atribuir um novo valor ao atributo ceplogBai
     */
    public void setCeplogBai(java.lang.Integer ceplogBai) {
      this.ceplogBai = ceplogBai;
    }

    /**
     * getCeplogBai(java.lang.Integer ceplogBai) 
     * Mtodo para ler o valor do atributo ceplogBai
     */
    public java.lang.Integer getCeplogBai() {
      return this.ceplogBai;
    }
    
    /**
     * setCeplogUf(java.lang.Integer ceplogUf)
     * Mtodo para atribuir um novo valor ao atributo ceplogUf
     */
    public void setCeplogUf(java.lang.Integer ceplogUf) {
      this.ceplogUf = ceplogUf;
    }

    /**
     * getCeplogUf(java.lang.Integer ceplogUf) 
     * Mtodo para ler o valor do atributo ceplogUf
     */
    public java.lang.Integer getCeplogUf() {
      return this.ceplogUf;
    }
    
    /**
     * setCeplogTipo(java.lang.String ceplogTipo)
     * Mtodo para atribuir um novo valor ao atributo ceplogTipo
     */
    public void setCeplogTipo(java.lang.String ceplogTipo) {
      this.ceplogTipo = ceplogTipo;
    }

    /**
     * getCeplogTipo(java.lang.String ceplogTipo) 
     * Mtodo para ler o valor do atributo ceplogTipo
     */
    public java.lang.String getCeplogTipo() {
      return this.ceplogTipo;
    }
    
    /**
     * setCeplogLoc(java.lang.Integer ceplogLoc)
     * Mtodo para atribuir um novo valor ao atributo ceplogLoc
     */
    public void setCeplogLoc(java.lang.Integer ceplogLoc) {
      this.ceplogLoc = ceplogLoc;
    }

    /**
     * getCeplogLoc(java.lang.Integer ceplogLoc) 
     * Mtodo para ler o valor do atributo ceplogLoc
     */
    public java.lang.Integer getCeplogLoc() {
      return this.ceplogLoc;
    }
    

    /**
     * equals
     * verifica a igualdade 
     */
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Cep ) {
               Cep outro = (Cep) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
}
