
package br.com.tabelionatomessias.dao;
/**
 * Sistema: Notarium
 * 
 * Arquivo: CepUnico.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela cep_unico
 * @author JLMM
 */
public class CepUnico {

    
    private java.lang.Integer pesCodigo;
    private java.lang.String cepunicBairro;
    private java.lang.String cepunicRua;

    private Object pk;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public CepUnico() {}

    
    /**
     * setPesCodigo(java.lang.Integer pesCodigo)
     * Mtodo para atribuir um novo valor ao atributo pesCodigo
     */
    public void setPesCodigo(java.lang.Integer pesCodigo) {
      this.pesCodigo = pesCodigo;
    }

    /**
     * getPesCodigo(java.lang.Integer pesCodigo) 
     * Mtodo para ler o valor do atributo pesCodigo
     */
    public java.lang.Integer getPesCodigo() {
      return this.pesCodigo;
    }
    
    /**
     * setCepunicBairro(java.lang.String cepunicBairro)
     * Mtodo para atribuir um novo valor ao atributo cepunicBairro
     */
    public void setCepunicBairro(java.lang.String cepunicBairro) {
      this.cepunicBairro = cepunicBairro;
    }

    /**
     * getCepunicBairro(java.lang.String cepunicBairro) 
     * Mtodo para ler o valor do atributo cepunicBairro
     */
    public java.lang.String getCepunicBairro() {
      return this.cepunicBairro;
    }
    
    /**
     * setCepunicRua(java.lang.String cepunicRua)
     * Mtodo para atribuir um novo valor ao atributo cepunicRua
     */
    public void setCepunicRua(java.lang.String cepunicRua) {
      this.cepunicRua = cepunicRua;
    }

    /**
     * getCepunicRua(java.lang.String cepunicRua) 
     * Mtodo para ler o valor do atributo cepunicRua
     */
    public java.lang.String getCepunicRua() {
      return this.cepunicRua;
    }
    

    /**
     * equals
     * verifica a igualdade 
     */
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof CepUnico ) {
               CepUnico outro = (CepUnico) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }

}
