
package br.com.tabelionatomessias.dao.web;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Documentoarquivo.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 * + 14/10/206, MLA, Inserir na DocumentoArquivo o Arquivo enviado a
 *                   ser assinado na aplicao Intranet.
 */
import java.util.Date;

/**
 * Implementao do padro VO para a tabela documentoarquivo
 * @author JLMM
 */
public class Documentoarquivo {

    
    private Integer docCodigo;
    private byte[] assinatura;
    private byte[] docArquivo;
    private String MD5;
    private String SHA;
    private String nomeArquivo;
    private Date dataEnvio;
    private String doc_verificador;
    // MLA - 14/10/2006 - Arquivo  do tipo File. Assinatura  um [] de bytes.
    //private java.io.File docArquivo;
    //private java.lang.Integer docArquivo;
    //private java.lang.Integer docAssinado;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Documentoarquivo() {}

    
    /**
     * setDocCodigo(Integer docCodigo)
     * Mtodo para atribuir um novo valor ao atributo docCodigo
     */
    public void setDocCodigo(java.lang.Integer docCodigo) {
      this.docCodigo = docCodigo;
    }

    /**
     * getDocCodigo(Integer docCodigo) 
     * Mtodo para ler o valor do atributo docCodigo
     */
    public java.lang.Integer getDocCodigo() {
      return this.docCodigo;
    }
    
    /**
     * setDocArquivo(byte[] docArquivo)
     * Mtodo para atribuir um novo valor ao atributo docArquivo
     */
    public void setDocArquivo(byte[] docArquivo) {
      this.docArquivo = docArquivo;
    }

    /**
     * getDocArquivo(byte[] docArquivo) 
     * Mtodo para ler o valor do atributo docArquivo
     */
    public byte[] getDocArquivo() {
      return this.docArquivo;
    }
    
    /**
     * setDocAssinado(byte[] assinatura)
     * Mtodo para atribuir um novo valor ao atributo assinatura
     */
    public void setAssinatura(byte[] assinatura) {
      this.assinatura = assinatura;
    }

    /**
     * getDocAssinado(byte[] docAssinado) 
     * Mtodo para ler o valor do atributo assinatura
     */
    public byte[] getAssinatura() {
      return this.assinatura;
    }

   /**
     * setMD5(byte[] md5)
     * Mtodo para atribuir um novo valor ao atributo MD5
     */
    public void setMD5(String md5) {
      this.MD5 = md5;
    }

    /**
     * getMD5() (byte[] MD5) 
     * Mtodo para ler o valor do atributo MD5
     */
    public String getMD5() {
      return this.MD5;
    }
    
   /**
     * setSHA(byte[] sha)
     * Mtodo para atribuir um novo valor ao atributo SHA
     */
    public void setSHA(String sha) {
      this.SHA = sha;
    }

   /**
     * getSHA() (byte[] SHA) 
     * Mtodo para ler o valor do atributo SHA
     */
    public String getSHA() {
      return this.SHA;
    }    
    
   /**
     * setNomeArquivo(String nomeArq)
     * Mtodo para atribuir um novo valor ao atributo nomeArquivo
     */
    public void setNomeArquivo(String nomeArq) {
      this.nomeArquivo = nomeArq;
    }

   /**
     * getNomeArquivo() (String NomeArquivo) 
     * Mtodo para ler o valor do atributo SHA
     */
    public String getNomeArquivo() {
      return this.nomeArquivo;
    }
    
   /**
     * setDataEnvio(Date dtenv)
     * Mtodo para atribuir um novo valor ao atributo dataEnvio
     */
    public void setDataEnvio(Date dtenv) {
      this.dataEnvio = dtenv;
    }

   /**
     * getDataEnvio() (Date dataEnvio) 
     * Mtodo para ler o valor do atributo dataEnvio
     */
    public Date getDataEnvio() {
      return this.dataEnvio;
    }
    /**
     * setDocverificador(String verificador)
     * Mtodo para atribuir um novo valor ao atributo doc_verificador
     */
    public void setDocverificador(String verificador) {
      this.doc_verificador = verificador;
    }

   /**
     * getDocverificador() (String verificador) 
     * Mtodo para ler o valor do atributo doc_verificador
     */
    public String getDocverificador() {
      return this.doc_verificador;
    }
    
    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Documentoarquivo ) {
               Documentoarquivo outro = (Documentoarquivo) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }

}
