/*
 * ExtratoAct.java
 *
 * Created on 21 de Novembro de 2006, 17:25
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import br.com.tabelionatomessias.utils.NotariumError;

/**
 * Servlet para tratar as requisies relacionadas ao Extrato de Servios.
 */
public class ExtratoAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        String acao = request.getParameter("acao");   
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = detalharservico; Mostrando a pagina com os detalhes da solicitacao de servico.">
        if (acao.equals("detalharservico")) {
              try {

                  String codsolser = request.getParameter("solser");     

                  RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/extratodetalhesservico.jsp?solser="+codsolser);                       
                  rd.forward(request,response); 
              
              } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/extratoservicos.jsp");
                rd.forward(request,response);
            }
          }
          // </editor-fold>
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
