/*
 * MinutaAct.java
 *
 * Created on 4 de Novembro de 2006, 17:15
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;
import java.sql.*;

import javax.servlet.*;
import javax.servlet.http.*;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.cart.*;
import br.com.tabelionatomessias.dao.web.*;
import org.apache.naming.java.javaURLContextFactory;
import org.bouncycastle.openssl.PEMWriter;


/**
 * Servlet para tratar as requisies relacionadas as Minutas.
 */
public class MinutaAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        String acao = request.getParameter("acao");
        
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = aprovar; Chama o cadastro de Minutas para alterar uma Solicitacao de Servico.">
        if (acao.equals("aprovar")) {
           try {  
               
               // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>     
                
               String solser = request.getParameter("solser");
              
               // <editor-fold defaultstate="collapsed" desc="Inclui um Detalhamento de Servio para a solicitao de Servio">
                HttpSession session = request.getSession();
                DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
                java.lang.Integer newdetsercod = daodetserv.maxDetSerCodigo(new Integer(solser));
                int detsercod = newdetsercod.intValue();
                ++detsercod;
                Detalheservico detserv = new Detalheservico();
                detserv.setSolserCodigo(new Integer(solser));
                detserv.setDetserCodigo((Integer) detsercod);
                detserv.setDetserDescri("Minuta Aprovada");
                detserv.setStatusCodigo(new Integer(5));
                String preco = "0";
                java.util.Date date = new java.util.Date();
                detserv.setDetserValor(new Double(preco));
                detserv.setDetserDatcad(date);
                daodetserv.insert(detserv);
                // </editor-fold>

              RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");                       
              rd.forward(request,response); 
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = recusar; Chama o cadastro de Minutas para alterar uma Solicitacao de Servico.">
        if (acao.equals("recusar")) {
           try {  
               
               // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>     
                
               String solser = request.getParameter("solser");
              
               // <editor-fold defaultstate="collapsed" desc="Inclui um Detalhamento de Servio para a solicitao de Servio">
                HttpSession session = request.getSession();
                DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
                java.lang.Integer newdetsercod = daodetserv.maxDetSerCodigo(new Integer(solser));
                int detsercod = newdetsercod.intValue();
                ++detsercod;
                Detalheservico detserv = new Detalheservico();
                detserv.setSolserCodigo(new Integer(solser));
                detserv.setDetserCodigo((Integer) detsercod);
                detserv.setDetserDescri("Minuta Recusada");
                detserv.setStatusCodigo(new Integer(4));
                String preco = "0";
                java.util.Date date = new java.util.Date();
                detserv.setDetserValor(new Double(preco));
                detserv.setDetserDatcad(date);
                daodetserv.insert(detserv);
                // </editor-fold>

              RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");                       
              rd.forward(request,response); 
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = download; Chama o cadastro de Minutas para alterar uma Solicitacao de Servico.">
        if (acao.equals("download")) {
           try {  
               
                // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>     
                
                String codsolser = request.getParameter("solser");
               
                SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico solser = daosolser.selectPK(new Integer(codsolser));
              
                DocumentoarquivoDAO daodocarq = new DocumentoarquivoDAO(conn);
                Documentoarquivo docarq = daodocarq.selectPK(solser.getDocCodigo());
                
                byte[] b = docarq.getDocArquivo();
                File c = new File("minuta.doc");
                FileOutputStream fios = new FileOutputStream(c);
                fios.write(b);

                response.setContentType("application/octet-stream");
                response.setContentLength((int) c.length());
                response.setHeader("Content-Disposition","attachment; filename=\"minuta.doc\"");
                BufferedInputStream bis = new BufferedInputStream(new FileInputStream(c));
                ServletOutputStream sos = response.getOutputStream();
               
                byte[] buf = new byte[1024];
                int count = 0;
                while ((count = bis.read(buf)) >= 0) {
                    sos.write(buf, 0, count);
                }
                bis.close();
                sos.flush();
                sos.close();
               
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = novaminuta; Chama o cadastro de Minutas para alterar uma Solicitacao de Servico.">
        if (acao.equals("novaminuta")) {
           try {  
              HttpSession session = request.getSession();
               
              Documento documento = new Documento();
              java.util.ArrayList docpart = new java.util.ArrayList();
              Entregasolicitacao entregasolicitacao = new Entregasolicitacao();
              entregasolicitacao.setForentCodigo(new Integer(0));
              Solicitacaoservico solser = new Solicitacaoservico();
              
              session.setAttribute("minutasolicitacao",solser);
              session.setAttribute("minutadocumento",documento);
              session.setAttribute("documentoparticipantes",docpart);
              session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
              session.setAttribute("minutatype","insert");
              RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                       
              rd.forward(request,response); 
           } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");
                rd.forward(request,response);
            }
        } 
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = alterarminuta; Chama o cadastro de Minutas para alterar uma Solicitacao de Servico.">
        if (acao.equals("alterarminuta")) {
              try {
                  
              // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>
              
              String codsolser = request.getParameter("solser");     
              HttpSession session = request.getSession();
              
              
              // <editor-fold defaultstate="collapsed" desc="Localiza as variaveis no banco para jogalas na sessao.">
              SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
              Solicitacaoservico solser = daosolser.selectPK(new Integer(codsolser));
              
              DocumentoDAO daodocumento = new DocumentoDAO(conn);
              Documento documento = daodocumento.selectPK(solser.getDocCodigo());
              
              java.util.ArrayList docpart = new java.util.ArrayList();
              DocumentoParticipantesDAO daodocpart = new DocumentoParticipantesDAO(conn);
              docpart = (ArrayList) daodocpart.getParticipantesDocumento(solser.getDocCodigo());
              
              EntregasolicitacaoDAO daoentsol = new EntregasolicitacaoDAO(conn);
              Entregasolicitacao entregasolicitacao = daoentsol.selectPK(solser.getSolserCodigo());
              // </editor-fold>
              
              session.setAttribute("minutasolicitacao",solser);
              session.setAttribute("minutadocumento",documento);  
              session.setAttribute("documentoparticipantes",docpart);
              session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
              session.setAttribute("minutatype","update");
              
              RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                       
              rd.forward(request,response); 
              
              } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutas.jsp");
                rd.forward(request,response);
            }
          }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = detalharminuta; Mostrando a pagina com os detalhes da minuta.">
        if (acao.equals("detalharminuta")) {
              try {
                  
              // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
                Conexao con;
                Connection conn;
                con = new Conexao();             
                conn = con.getConexao();
                // </editor-fold>
              
              String codsolser = request.getParameter("solser");     
              HttpSession session = request.getSession();
              
              
              // <editor-fold defaultstate="collapsed" desc="Localiza as variaveis no banco para gravar na sessao.">
              SolicitacaoservicoDAO daosolser = new SolicitacaoservicoDAO(conn);
              Solicitacaoservico solser = daosolser.selectPK(new Integer(codsolser));
              
              DocumentoDAO daodocumento = new DocumentoDAO(conn);
              Documento documento = daodocumento.selectPK(solser.getDocCodigo());
              
              java.util.ArrayList docpart = new java.util.ArrayList();
              DocumentoParticipantesDAO daodocpart = new DocumentoParticipantesDAO(conn);
              docpart = (ArrayList) daodocpart.getParticipantesDocumento(solser.getDocCodigo());
              
              EntregasolicitacaoDAO daoentsol = new EntregasolicitacaoDAO(conn);
              Entregasolicitacao entregasolicitacao = daoentsol.selectPK(solser.getSolserCodigo());
              // </editor-fold>
              
              session.setAttribute("minutasolicitacao",solser);
              session.setAttribute("minutadocumento",documento);  
              session.setAttribute("documentoparticipantes",docpart);
              session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
              
              RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutadetalhes.jsp");                       
              rd.forward(request,response); 
              
              } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutadetalhes.jsp");
                rd.forward(request,response);
            }
          }
        // </editor-fold>

        // <editor-fold defaultstate="collapsed" desc="ACAO = alteralocalidade; Quando altera a localidade da forma de entrega, recarrega a mesma pagina.">
        if (acao.equals("alterarlocalidade")) {
            String minutaloccod = request.getParameter("loccod");
            HttpSession session = request.getSession(); 
            session.setAttribute("minutaentsolloccodigo",minutaloccod);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformaentrega.jsp");                                   
            rd.forward(request,response); 
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = alterarnatureza; Quando altera a natureza do Documento, recarrega a mesma pagina.">
        if (acao.equals("alterarnatureza")) {
            String minutanatcod = request.getParameter("natcod");
            HttpSession session = request.getSession();
            Documento documento = new Documento();
            documento = (Documento) session.getAttribute("minutadocumento");
            documento.setNaturezaCodigo(new Integer(minutanatcod));
            session.setAttribute("minutadocumento",documento);
            //session.setAttribute("minutanatcod",minutanatcod);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                                   
            rd.forward(request,response); 
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = formaentregacorreios; Redireciona para a Forma de Entrega dos Correios">
        if (acao.equals("formaentregacorreios")) {
            HttpSession session = request.getSession(); 
            Entregasolicitacao entregasolicitacao = new Entregasolicitacao();
            entregasolicitacao = (Entregasolicitacao)session.getAttribute("minutaentregasolicitacao");
            entregasolicitacao.setForentCodigo(new Integer(3));
            session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformacorreios.jsp");                                   
            rd.forward(request,response); 
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = formaentregadigital; Redireciona para a Forma de Entrega Digital">
        if (acao.equals("formaentregadigital")) {
            HttpSession session = request.getSession(); 
            Entregasolicitacao entregasolicitacao = new Entregasolicitacao();
            entregasolicitacao = (Entregasolicitacao)session.getAttribute("minutaentregasolicitacao");
            entregasolicitacao.setForentCodigo(new Integer(1));
            session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformadigital.jsp");                                   
            rd.forward(request,response); 
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = formaentregaemmaos; Redireciona para a Forma de Entrega Digital">
        if (acao.equals("formaentregaemmaos")) {
            HttpSession session = request.getSession(); 
            Entregasolicitacao entregasolicitacao = new Entregasolicitacao();
            entregasolicitacao = (Entregasolicitacao)session.getAttribute("minutaentregasolicitacao");
            entregasolicitacao.setForentCodigo(new Integer(2));
            session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
            RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformaemmaos.jsp");                                   
            rd.forward(request,response); 
        }
        // </editor-fold>
                
        // <editor-fold defaultstate="collapsed" desc="ACAO = irpasso2; Ir para o passo 2 da solicitacao de Minuta">
        if (acao.equals("irpasso2")) {
            try {
                 HttpSession session = request.getSession(); 

                java.util.ArrayList colec = new java.util.ArrayList();
                String minutaobjato = request.getParameter("objato");
                colec = (ArrayList)session.getAttribute("documentoparticipantes");
                Documento documento = new Documento();
                documento = (Documento) session.getAttribute("minutadocumento");
                Integer tipato = documento.getTipatoCodigo();
                Integer natcod = documento.getNaturezaCodigo();
                if (tipato == null) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                if (natcod == null) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                if (tipato.equals(new Integer(0))) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                if (natcod.equals(new Integer(0))) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                if (colec.isEmpty()) { throw new NotariumError("Participantes do Documento No Informado/Invlido!"); }
                if (minutaobjato.equals("")) { throw new NotariumError("Objeto do Ato No Informado/Invlido!"); }
                
                documento.setDocObjato(minutaobjato);
                session.setAttribute("minutadocumento",documento);
                
                
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformaentrega.jsp");                                   
                rd.forward(request,response); 
            } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");
                rd.forward(request,response);
            }
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = irpasso3; Ir para o passo 3 da solicitacao de Minuta">
        if (acao.equals("irpasso3")) {
            try {
                
                // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
              Conexao con;
              Connection conn;
              con = new Conexao();             
              conn = con.getConexao();
              // </editor-fold>
                
                HttpSession session = request.getSession(); 
                String forentcodigo = request.getParameter("forentcodigo");
                String entsoluf = request.getParameter("ufcodigo");
                String entsolloccodigo = request.getParameter("loccodigo");
                String entsolcep = request.getParameter("cep");
                String entsollogcodigo = request.getParameter("logcodigo");
                String entsolcomple = request.getParameter("complemento");
                String entsolemail = request.getParameter("entsolemail");
                
                entsolcep = entsolcep.replace("-","");
                
                Entregasolicitacao entregasolicitacao = new Entregasolicitacao();
                entregasolicitacao.setForentCodigo(new Integer(forentcodigo));
                
                if (forentcodigo.equals("1")) {
                    if (entsolemail.equals("")) { throw new NotariumError("Email No Informado/Invlido!"); }
                    
                    entregasolicitacao.setEntsolEmail(entsolemail);
                }
                if (forentcodigo.equals("3")) {
                    
                    if (entsoluf.equals("")) { throw new NotariumError("Uf No Informado/Invlido!"); }
                    if (entsolloccodigo.equals("")) { throw new NotariumError("Cidade No Informado/Invlido!"); }
                    if (entsollogcodigo == null) {
                      if (entsolcomple.equals("")) { throw new NotariumError("Logradouro No Informado/Invlido!"); }
                    } else {
                      if (entsolcomple.equals("")) { throw new NotariumError("Complemento No Informado/Invlido!"); }
                    }
                    
                    if (!entsolcep.equals("")) { entregasolicitacao.setEntsolCep(new Integer(entsolcep)); }
                    if (!entsoluf.equals("")) { entregasolicitacao.setEntsolUf(new Integer(entsoluf)); }
                    if (!entsolloccodigo.equals("")) { entregasolicitacao.setEntsolLoccodigo(new Integer(entsolloccodigo)); }
                    entregasolicitacao.setEntsolComple(entsolcomple);
                    
                    
                    if (entsollogcodigo != null) {
                      entregasolicitacao.setEntsolLogcodigo(new Integer(entsollogcodigo));
                    }
                    //entregasolicitacao.setEntsolEmail();
                }
                
                
                TiposolicitacaoDAO daotipsol = new TiposolicitacaoDAO(conn);
                Tiposolicitacao tipsol = daotipsol.selectPK(new Integer(1));
                
                session.setAttribute("minutaentregasolicitacao",entregasolicitacao);
                
                
                session.setAttribute("minutaprecocusto",tipsol.getTipsolValor());
               
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformapagamento.jsp");                                   
                rd.forward(request,response); 
            } catch( Exception e) {
                e.printStackTrace();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaformaentrega.jsp");
                rd.forward(request,response);
            }
        }
        // </editor-fold>
        
        // <editor-fold defaultstate="collapsed" desc="ACAO = salvar; Salva toda a minuta">
        if (acao.equals("salvar")) {

            try {
                
              // <editor-fold defaultstate="collapsed" desc="Cria a conexao com o banco">
              Conexao con;
              Connection conn;
              con = new Conexao();             
              conn = con.getConexao();
              // </editor-fold>
              
                  
              // <editor-fold defaultstate="collapsed" desc="Realiza as Validaes de campos digitados">
                HttpSession session = request.getSession();
                Documento documento = new Documento();
                documento = (Documento)session.getAttribute("minutadocumento");
                String minutatipato = documento.getTipatoCodigo().toString();
                String minutanatcod = documento.getNaturezaCodigo().toString();
                
                java.util.ArrayList colec = new java.util.ArrayList();
                colec = (ArrayList)session.getAttribute("documentoparticipantes"); 
                
                if (minutatipato.equals("")) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                if (minutanatcod.equals("0")) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                if (colec.isEmpty()) { throw new NotariumError("Participantes do Documento No Informado/Invlido!"); }
              //  if (minutaobjato.equals("")) { throw new NotariumError("Objeto do Ato No Informado/Invlido!"); }
                // </editor-fold>
                
              if (session.getAttribute("minutatype").equals("insert")) {
                
                // <editor-fold defaultstate="collapsed" desc="Inclui um registro na tabela Documento">
                //Consulta qual o utimo codigo da tabela Documento e soma + 1
                DocumentoDAO documentodao = new DocumentoDAO(conn);
                java.lang.Integer cod = documentodao.maxDocCodigo();
                int newcod = cod.intValue();
                ++newcod;
                documento.setDocCodigo(newcod);
                //Insere o registro na tabela Documento;
                documentodao.insert(documento);
                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui registros nas tabelas DocumentoParticipantes e se necessrio na PessoaTemp">
                for ( Iterator iter2 = colec.iterator(); iter2.hasNext(); )   {
                    DocumentoParticipantes documentoparticipante = (DocumentoParticipantes)iter2.next();      
                    DocumentoParticipantesDAO daodocumentoparticipantes = new DocumentoParticipantesDAO(conn);
                    String tipopessoa = documentoparticipante.getTipoPessoa().toString();
                    if (tipopessoa.equals("1")) { // Pessoa
                       documentoparticipante.setDocCodigo((Integer) newcod);
                       
                       daodocumentoparticipantes.insert(documentoparticipante);
                    } else { // Pessoa Temp
                       PessoaTemp pessoatemp = documentoparticipante.getPessoaTemp();
                       PessoaTempDAO daopessoatemp = new PessoaTempDAO(conn);
                       java.lang.Integer cod2 = daopessoatemp.maxPesCodigo();
                       int newcod2 = cod2.intValue();
                       ++newcod2;
                       pessoatemp.setPesCodigo((Integer) newcod2);
                       daopessoatemp.insert(pessoatemp);
                       
                       documentoparticipante.setDocCodigo((Integer) newcod);
                       documentoparticipante.setPesCodigo((Integer) newcod2);
                       
                       daodocumentoparticipantes.insert(documentoparticipante); 
                    }    
                }
                 // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui uma nova Solicitao de Servio no Banco">
                SolicitacaoservicoDAO daosolserv = new SolicitacaoservicoDAO(conn);
                java.lang.Integer newsolsercod = daosolserv.maxSolserCodigo();
                int solsercod = newsolsercod.intValue();
                ++solsercod;
                Solicitacaoservico solserv = new Solicitacaoservico();
                solserv.setSolserCodigo((Integer) solsercod);
                solserv.setDocCodigo(newcod);
                String codpessoa = session.getAttribute("codpessoa").toString();
                solserv.setPesCodigo(new Integer(codpessoa));
                solserv.setTipsolCodigo(new Integer(1));
                
             //   DateFormat dateFormat = new SimpleDateFormat("yyyy-dd-MM HH:mm:ss");
                java.util.Date date = new java.util.Date();
                
                solserv.setSolserDatcad(date);
                
                daosolserv.insert(solserv);
                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui uma nova Forma de Entrega para a Solicitao de Servio">
                EntregasolicitacaoDAO daoentsol = new EntregasolicitacaoDAO(conn);
                Entregasolicitacao entsol = new Entregasolicitacao();
                entsol = (Entregasolicitacao) session.getAttribute("minutaentregasolicitacao");
                entsol.setSolserCodigo((Integer) solsercod);
                daoentsol.insert(entsol);
                // </editor-fold>
                
                // <editor-fold defaultstate="collapsed" desc="Inclui um Detalhamento de Servio para a solicitao de Servio">
                DetalheservicoDAO daodetserv = new DetalheservicoDAO(conn);
                java.lang.Integer newdetsercod = daodetserv.maxDetSerCodigo((Integer) solsercod);
                int detsercod = newdetsercod.intValue();
                ++detsercod;
                Detalheservico detserv = new Detalheservico();
                detserv.setSolserCodigo((Integer) solsercod);
                detserv.setDetserCodigo((Integer) detsercod);
                detserv.setDetserDescri("Solicitao de Minuta");
                detserv.setStatusCodigo(new Integer(1));
                String preco = session.getAttribute("minutaprecocusto").toString();
                detserv.setDetserValor(new Double(preco));
                detserv.setDetserDatcad(date);
                daodetserv.insert(detserv);
                // </editor-fold>
                                
                
              } else {
                
                DocumentoDAO documentodao = new DocumentoDAO(conn);
                PessoaTempDAO daopessoatemp = new PessoaTempDAO(conn);
                documentodao.update(documento);
                int newcod = documento.getDocCodigo();
                DocumentoParticipantesDAO daodocumentoparticipantes = new DocumentoParticipantesDAO(conn);
                daopessoatemp.deletePessoasTempDocumento((Integer) newcod);
                daodocumentoparticipantes.deleteParticipantesDocumento((Integer) newcod);
                
                // <editor-fold defaultstate="collapsed" desc="Inclui registros nas tabelas DocumentoParticipantes e se necessrio na PessoaTemp">
                for ( Iterator iter2 = colec.iterator(); iter2.hasNext(); )   {
                    DocumentoParticipantes documentoparticipante = (DocumentoParticipantes)iter2.next();                          
                    String tipopessoa = documentoparticipante.getTipoPessoa().toString();
                    if (tipopessoa.equals("1")) { // Pessoa
                       documentoparticipante.setDocCodigo((Integer) newcod);
                       
                       daodocumentoparticipantes.insert(documentoparticipante);
                    } else { // Pessoa Temp
                       PessoaTemp pessoatemp = documentoparticipante.getPessoaTemp();                       
                       java.lang.Integer cod2 = daopessoatemp.maxPesCodigo();
                       int newcod2 = cod2.intValue();
                       ++newcod2;
                       pessoatemp.setPesCodigo((Integer) newcod2);
                       daopessoatemp.insert(pessoatemp);
                       
                       documentoparticipante.setDocCodigo((Integer) newcod);
                       documentoparticipante.setPesCodigo((Integer) newcod2);
                       
                       daodocumentoparticipantes.insert(documentoparticipante); 
                    }    
                }
                 // </editor-fold>
                
                SolicitacaoservicoDAO daosolserv = new SolicitacaoservicoDAO(conn);
                Solicitacaoservico solserv = (Solicitacaoservico)session.getAttribute("minutasolicitacao");
                daosolserv.update(solserv);
                                
                EntregasolicitacaoDAO daoentsol = new EntregasolicitacaoDAO(conn);
                Entregasolicitacao entsol = new Entregasolicitacao();
                entsol = (Entregasolicitacao) session.getAttribute("minutaentregasolicitacao");
                entsol.setSolserCodigo(solserv.getSolserCodigo());
                daoentsol.update(entsol);
                
              }
                conn.commit();
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaconcluida.jsp");                                   
                rd.forward(request,response); 
            } catch( Exception e) {
                e.printStackTrace();
               // conn.rollback();
                if( e instanceof NotariumError )
                   request.setAttribute("erro",e);
                RequestDispatcher rd = request.getRequestDispatcher("/erro.jsp");
                rd.forward(request,response);
            }
        }
        // </editor-fold>
        
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
