/*
 * ParticipanteAct.java
 *
 * Created on 9 de Outubro de 2006, 23:01
 */

package br.com.tabelionatomessias.act;

import java.io.*;
import java.net.*;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;
import br.com.tabelionatomessias.utils.*;
import br.com.tabelionatomessias.dao.cart.*;
import br.com.tabelionatomessias.dao.web.*;
import org.apache.naming.java.javaURLContextFactory;

/**
 * Servlet para tratar as requisies relacionadas aos Participantes das Minutas.
 */
public class ParticipanteAct extends HttpServlet {
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
    
            String acao = request.getParameter("acao");
            
            // <editor-fold defaultstate="collapsed" desc="ACAO = addparticipante; Tela de Adicionar Participante">
            if (acao.equals("addparticipante")) {
                try {
                    HttpSession session = request.getSession();  
                    Documento documento = new Documento();
                    documento = (Documento) session.getAttribute("minutadocumento");
                    Integer tipato = documento.getTipatoCodigo();
                    Integer natcod = documento.getNaturezaCodigo();
                    if (tipato == null) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                    if (natcod == null) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                    if (tipato.equals(new Integer(0))) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                    if (natcod.equals(new Integer(0))) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaaddparticipante.jsp?tipobusca=1&nome=");                       
                    rd.forward(request,response); 
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");
                    rd.forward(request,response);
                }
            }
             // </editor-fold> //
            
            // <editor-fold defaultstate="collapsed" desc="ACAO = addparttemp; Tela de Adicionar Participante Temporario">
            if (acao.equals("addparttemp")) {
                try {
                    HttpSession session = request.getSession();  
                    Documento documento = new Documento();
                    documento = (Documento) session.getAttribute("minutadocumento");
                    Integer tipato = documento.getTipatoCodigo();
                    Integer natcod = documento.getNaturezaCodigo();
                    if (tipato == null) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                    if (natcod == null) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                    if (tipato.equals(new Integer(0))) { throw new NotariumError("Tipo de Documento No Informado/Invlido!"); }
                    if (natcod.equals(new Integer(0))) { throw new NotariumError("Natureza do Documento No Informado/Invlido!"); }
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaaddparttemp.jsp");                       
                    rd.forward(request,response); 
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");
                    rd.forward(request,response);
                }
            }
             // </editor-fold> //
            
            // <editor-fold defaultstate="collapsed" desc="ACAO = delparticipante; Deletar Participante">
            if (acao.equals("delparticipante")) {
               String tipo = request.getParameter("tipo"); 
               String cod = request.getParameter("codigo");
               if (tipo.equals("1")) {
                  java.util.ArrayList colec = new java.util.ArrayList();
                  java.util.ArrayList colec2 = new java.util.ArrayList();
                  
                  HttpSession session = request.getSession();  
                  colec2 = (ArrayList)session.getAttribute("documentoparticipantes");
                    for ( Iterator iter2 = colec2.iterator(); iter2.hasNext(); )   {
                            DocumentoParticipantes docpart2 = (DocumentoParticipantes)iter2.next();                                       
                            Integer ncod = new Integer(cod);
                            if (!ncod.equals(docpart2.getPesCodigo())) {
                              colec.add(docpart2);
                            }
                    }
                  session.setAttribute("documentoparticipantes",colec);
               }
               
                RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                       
                rd.forward(request,response); 
            }
            // </editor-fold> //
            
            // <editor-fold defaultstate="collapsed" desc="ACAO = addpessoa; Adicionar Pessoa">
            if (acao.equals("addpessoa")) {
                try {
                      String codpessoa = request.getParameter("codpessoa");
                      String papel = request.getParameter("codpapel");


                      Conexao con;
                      Connection conn;
                      con = new Conexao();             
                      conn = con.getConexao();

                      Pessoa pessoa = new Pessoa();
                      PessoaDAO daopessoa = new PessoaDAO(conn);
                      pessoa = daopessoa.selectPK(Integer.parseInt(codpessoa));


                      HttpSession session = request.getSession(); 

                      java.util.ArrayList colec = new java.util.ArrayList();

                      colec = (ArrayList)session.getAttribute("documentoparticipantes");
                      DocumentoParticipantes docpart = new DocumentoParticipantes();

                        boolean add = true;
                        for ( Iterator iter2 = colec.iterator(); iter2.hasNext(); )   {
                            DocumentoParticipantes docpart2 = (DocumentoParticipantes)iter2.next();                                       
                            if (Integer.parseInt(codpessoa) == docpart2.getPesCodigo()) {
                              add = false;  
                            }
                        }

                        if (add) {                  
                            docpart.setTipoPessoa(Integer.parseInt("1"));
                            docpart.setPesCodigo(Integer.parseInt(codpessoa));
                            docpart.setPapCodigo(Integer.parseInt(papel));
                            docpart.setPessoa(pessoa);
                            colec.add(docpart);
                            session.setAttribute("documentoparticipantes",colec);
                        }


                        RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                       
                        rd.forward(request,response); 
              
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("erro.jsp");
                    rd.forward(request,response);
                }             
            }
             // </editor-fold>
            
            // <editor-fold defaultstate="collapsed" desc="ACAO = addpessoatemp; Adicionar Pessoa Temporria">
            if (acao.equals("addpessoatemp")) {
                try {
                    // carregar dados do formulrio nas variveis.
                    String codigo = request.getParameter("pessoa");
                    String papel = request.getParameter("papel");                  
                    codigo = "0";

                    String cpf = request.getParameter("cpf");     
                    String rg = request.getParameter("rg");
                    String nome = request.getParameter("nome");
                    String sexo = request.getParameter("sexo");
                    String dtnasc = request.getParameter("dtnasc");
                    String mae = request.getParameter("mae");
                    String pai = request.getParameter("pai");
                    String comple = request.getParameter("complemento");
                    String cidade = request.getParameter("cidade");
                    String cep = request.getParameter("cep");
                    String fone = request.getParameter("fone");
                    String loccod = request.getParameter("loccodigo");
                    String ufcod = request.getParameter("ufcodigo");


                    //Validao dos dados digitados.
                    if( (cpf == null) || (cpf.equals(""))) {  throw new NotariumError("CPF No Informado/Invlido!");  }
                    if( (rg == null) || (rg.equals(""))) {  throw new NotariumError("RG No Informado/Invlido!");  }  
                    if( (nome == null) || (nome.equals(""))) {  throw new NotariumError("Nome No Informado/Invlido!");  }  
                    if( (sexo == null) || (sexo.equals(""))) {  throw new NotariumError("Sexo No Informado/Invlido!");  }  
                   // if( (cep == null) || (cep.equals(""))) {  throw new NotariumError("CEP No Informado/Invlido!");  }  
                    if( (fone == null) || (fone.equals(""))) {  throw new NotariumError("FONE No Informado/Invlido!");  }  
                    
                    cpf = cpf.replace(".","");
                    cpf = cpf.replace("-","");
                    cep = cep.replace("-","");
                    fone = fone.replace("(","");
                    fone = fone.replace(")","");
                    fone = fone.replace("-","");
                    fone = fone.replace(" ","");
                    fone = fone.replace(",","");

                    Integer Isexo;
                    Integer Icep;
                    Integer Ifone;
                    Integer ILocCodigo = 0;
                    Integer IUfCodigo = 0;
                    if (sexo.equals("M")) { Isexo = Integer.parseInt("1"); } else { Isexo = Integer.parseInt("2"); }
                    if (!loccod.equals("")) { ILocCodigo = new Integer(loccod); }
                    if (!ufcod.equals("")) { IUfCodigo = new Integer(ufcod); }

                    Icep = Integer.parseInt(cep);
                 //   Ifone = Integer.parseInt(fone);
                    
                    String data = dtnasc.substring(6) + "-" + dtnasc.substring(3,5) + "-" + dtnasc.substring(0,2);
                    
               //     String data = "1985-10-14";
                    
                    
                    java.sql.Date Idatnas = java.sql.Date.valueOf(data);
                    
                   


                    // Criao de PessoaTemp com dados vlidos
                    PessoaTemp pestemp = new PessoaTemp();
                    pestemp.setPesCpf(cpf);
                    pestemp.setPesRg(rg);
                    pestemp.setPesNome(nome);
                    pestemp.setPesSexo(Isexo);
                    pestemp.setPesDataNascto(Idatnas);
                    pestemp.setPesMae(mae);
                    pestemp.setPesPai(pai);
                    pestemp.setPesLoccodigo(ILocCodigo); 
                    pestemp.setPesUfcodigo(IUfCodigo); 
                    pestemp.setPesTelefone1(fone); 
                    pestemp.setPesEndcomple(comple); 




                    //Salvar a PessoaTemp na variavel de sesso 'minutaparticipante'
                    HttpSession session = request.getSession(); 
                    java.util.ArrayList colec = new java.util.ArrayList();
                    colec = (ArrayList)session.getAttribute("documentoparticipantes");
                    DocumentoParticipantes docpart = new DocumentoParticipantes();
                    boolean add = true;
                    for ( Iterator iter2 = colec.iterator(); iter2.hasNext(); )   {
                        DocumentoParticipantes docpart2 = (DocumentoParticipantes)iter2.next();
                        if (docpart2.getTipoPessoa() == 2) {
                          if (cpf.equals(docpart2.getPessoaTemp().getPesCpf())) {
                            add = false;  //Mudar para false...
                          }
                        } else {
                          if (cpf.equals(docpart2.getPessoa().getPesCpf())) {
                            add = false;
                          }
                        }
                    } 
                    if (add) {
                          docpart.setTipoPessoa(Integer.parseInt("2"));
                          docpart.setPesCodigo(Integer.parseInt(codigo));
                          docpart.setPapCodigo(Integer.parseInt(papel));
                          docpart.setPessoaTemp(pestemp);
                          colec.add(docpart);
                          session.setAttribute("documentoparticipantes",colec);
                    }


                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/solminuta.jsp");                       
                    rd.forward(request,response); 
                } catch( Exception e) {
                    e.printStackTrace();
                    if( e instanceof NotariumError )
                       request.setAttribute("erro",e);
                    RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/paginas/minutaaddparttemp.jsp");
                    rd.forward(request,response);
                }
                
            }
             // </editor-fold>
            

    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
