
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Cartorio.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela cartorio
 * @author JLMM
 */
public class Cartorio {

    
    private java.lang.Integer crtCodigo;
    private java.lang.String crtNome;
    private java.lang.String crtTelefone;
    private java.lang.Integer ceplocCodigo;
    private java.lang.Integer crtCep;
    private java.lang.Integer cepbaiCodigo;
    private java.lang.String crtComplemento;
    private java.lang.Integer crtNro;
    private java.lang.Integer crtStatus;
    private java.sql.Date crtDataCadastro;
    private java.sql.Date crtUltAtualizacao;
    private java.lang.Integer funcCodigo;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Cartorio() {}

    
    /**
     * setCrtCodigo(java.lang.Integer crtCodigo)
     * Mtodo para atribuir um novo valor ao atributo crtCodigo
     */
    public void setCrtCodigo(java.lang.Integer crtCodigo) {
      this.crtCodigo = crtCodigo;
    }

    /**
     * getCrtCodigo(java.lang.Integer crtCodigo) 
     * Mtodo para ler o valor do atributo crtCodigo
     */
    public java.lang.Integer getCrtCodigo() {
      return this.crtCodigo;
    }
    
    /**
     * setCrtNome(java.lang.String crtNome)
     * Mtodo para atribuir um novo valor ao atributo crtNome
     */
    public void setCrtNome(java.lang.String crtNome) {
      this.crtNome = crtNome;
    }

    /**
     * getCrtNome(java.lang.String crtNome) 
     * Mtodo para ler o valor do atributo crtNome
     */
    public java.lang.String getCrtNome() {
      return this.crtNome;
    }
    
    /**
     * setCrtTelefone(java.lang.String crtTelefone)
     * Mtodo para atribuir um novo valor ao atributo crtTelefone
     */
    public void setCrtTelefone(java.lang.String crtTelefone) {
      this.crtTelefone = crtTelefone;
    }

    /**
     * getCrtTelefone(java.lang.String crtTelefone) 
     * Mtodo para ler o valor do atributo crtTelefone
     */
    public java.lang.String getCrtTelefone() {
      return this.crtTelefone;
    }
    
    /**
     * setCeplocCodigo(java.lang.Integer ceplocCodigo)
     * Mtodo para atribuir um novo valor ao atributo ceplocCodigo
     */
    public void setCeplocCodigo(java.lang.Integer ceplocCodigo) {
      this.ceplocCodigo = ceplocCodigo;
    }

    /**
     * getCeplocCodigo(java.lang.Integer ceplocCodigo) 
     * Mtodo para ler o valor do atributo ceplocCodigo
     */
    public java.lang.Integer getCeplocCodigo() {
      return this.ceplocCodigo;
    }
    
    /**
     * setCrtCep(java.lang.Integer crtCep)
     * Mtodo para atribuir um novo valor ao atributo crtCep
     */
    public void setCrtCep(java.lang.Integer crtCep) {
      this.crtCep = crtCep;
    }

    /**
     * getCrtCep(java.lang.Integer crtCep) 
     * Mtodo para ler o valor do atributo crtCep
     */
    public java.lang.Integer getCrtCep() {
      return this.crtCep;
    }
    
    /**
     * setCepbaiCodigo(java.lang.Integer cepbaiCodigo)
     * Mtodo para atribuir um novo valor ao atributo cepbaiCodigo
     */
    public void setCepbaiCodigo(java.lang.Integer cepbaiCodigo) {
      this.cepbaiCodigo = cepbaiCodigo;
    }

    /**
     * getCepbaiCodigo(java.lang.Integer cepbaiCodigo) 
     * Mtodo para ler o valor do atributo cepbaiCodigo
     */
    public java.lang.Integer getCepbaiCodigo() {
      return this.cepbaiCodigo;
    }
    
    /**
     * setCrtComplemento(java.lang.String crtComplemento)
     * Mtodo para atribuir um novo valor ao atributo crtComplemento
     */
    public void setCrtComplemento(java.lang.String crtComplemento) {
      this.crtComplemento = crtComplemento;
    }

    /**
     * getCrtComplemento(java.lang.String crtComplemento) 
     * Mtodo para ler o valor do atributo crtComplemento
     */
    public java.lang.String getCrtComplemento() {
      return this.crtComplemento;
    }
    
    /**
     * setCrtNro(java.lang.Integer crtNro)
     * Mtodo para atribuir um novo valor ao atributo crtNro
     */
    public void setCrtNro(java.lang.Integer crtNro) {
      this.crtNro = crtNro;
    }

    /**
     * getCrtNro(java.lang.Integer crtNro) 
     * Mtodo para ler o valor do atributo crtNro
     */
    public java.lang.Integer getCrtNro() {
      return this.crtNro;
    }
    
    /**
     * setCrtStatus(java.lang.Integer crtStatus)
     * Mtodo para atribuir um novo valor ao atributo crtStatus
     */
    public void setCrtStatus(java.lang.Integer crtStatus) {
      this.crtStatus = crtStatus;
    }

    /**
     * getCrtStatus(java.lang.Integer crtStatus) 
     * Mtodo para ler o valor do atributo crtStatus
     */
    public java.lang.Integer getCrtStatus() {
      return this.crtStatus;
    }
    
    /**
     * setCrtDataCadastro(java.sql.Date crtDataCadastro)
     * Mtodo para atribuir um novo valor ao atributo crtDataCadastro
     */
    public void setCrtDataCadastro(java.sql.Date crtDataCadastro) {
      this.crtDataCadastro = crtDataCadastro;
    }

    /**
     * getCrtDataCadastro(java.sql.Date crtDataCadastro) 
     * Mtodo para ler o valor do atributo crtDataCadastro
     */
    public java.sql.Date getCrtDataCadastro() {
      return this.crtDataCadastro;
    }
    
    /**
     * setCrtUltAtualizacao(java.sql.Date crtUltAtualizacao)
     * Mtodo para atribuir um novo valor ao atributo crtUltAtualizacao
     */
    public void setCrtUltAtualizacao(java.sql.Date crtUltAtualizacao) {
      this.crtUltAtualizacao = crtUltAtualizacao;
    }

    /**
     * getCrtUltAtualizacao(java.sql.Date crtUltAtualizacao) 
     * Mtodo para ler o valor do atributo crtUltAtualizacao
     */
    public java.sql.Date getCrtUltAtualizacao() {
      return this.crtUltAtualizacao;
    }
    
    /**
     * setFuncCodigo(java.lang.Integer funcCodigo)
     * Mtodo para atribuir um novo valor ao atributo funcCodigo
     */
    public void setFuncCodigo(java.lang.Integer funcCodigo) {
      this.funcCodigo = funcCodigo;
    }

    /**
     * getFuncCodigo(java.lang.Integer funcCodigo) 
     * Mtodo para ler o valor do atributo funcCodigo
     */
    public java.lang.Integer getFuncCodigo() {
      return this.funcCodigo;
    }
    

    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Cartorio ) {
               Cartorio outro = (Cartorio) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }
}
