
package br.com.tabelionatomessias.dao;
/**
 * Sistema: Notarium
 * 
 * Arquivo: CepUnicoCrt.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela cep_unico_crt
 * @author JLMM
 */
public class CepUnicoCrt {

    
    private java.lang.Integer crtCodigo;
    private java.lang.String cepunicBairro;
    private java.lang.String cepunicRua;

    private Object pk;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public CepUnicoCrt() {}

    
    /**
     * setCrtCodigo(java.lang.Integer crtCodigo)
     * Mtodo para atribuir um novo valor ao atributo crtCodigo
     */
    public void setCrtCodigo(java.lang.Integer crtCodigo) {
      this.crtCodigo = crtCodigo;
    }

    /**
     * getCrtCodigo(java.lang.Integer crtCodigo) 
     * Mtodo para ler o valor do atributo crtCodigo
     */
    public java.lang.Integer getCrtCodigo() {
      return this.crtCodigo;
    }
    
    /**
     * setCepunicBairro(java.lang.String cepunicBairro)
     * Mtodo para atribuir um novo valor ao atributo cepunicBairro
     */
    public void setCepunicBairro(java.lang.String cepunicBairro) {
      this.cepunicBairro = cepunicBairro;
    }

    /**
     * getCepunicBairro(java.lang.String cepunicBairro) 
     * Mtodo para ler o valor do atributo cepunicBairro
     */
    public java.lang.String getCepunicBairro() {
      return this.cepunicBairro;
    }
    
    /**
     * setCepunicRua(java.lang.String cepunicRua)
     * Mtodo para atribuir um novo valor ao atributo cepunicRua
     */
    public void setCepunicRua(java.lang.String cepunicRua) {
      this.cepunicRua = cepunicRua;
    }

    /**
     * getCepunicRua(java.lang.String cepunicRua) 
     * Mtodo para ler o valor do atributo cepunicRua
     */
    public java.lang.String getCepunicRua() {
      return this.cepunicRua;
    }
    

    /**
     * equals
     * verifica a igualdade 
     */
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof CepUnicoCrt ) {
               CepUnicoCrt outro = (CepUnicoCrt) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
}
