
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Funcionario.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela funcionario
 * @author JLMM
 */
public class Funcionario {

    
    private java.lang.Integer funcCodigo;
    private java.lang.String funcNome;
    private java.lang.Integer funcFuncao;
    private java.sql.Date funcDataAdmissao;
    private java.sql.Date funcDataDemissao;
    private java.sql.Date funcUltAtualizacao;
    private java.lang.String funcRua;
    private java.lang.String funcCep;
    private java.lang.String funcBairro;
    private java.lang.String funcCidade;
    private java.lang.String funcUf;
    private java.lang.String funcTelefone;
    private java.lang.String funcPesContato;
    private java.lang.Integer funcNivel;
    private java.lang.String funcLogin;
    private java.lang.String funcSenha;
    private java.sql.Date funcDataNascto;
    private java.lang.Integer imgAssinatura;
    private java.lang.Integer imgRubrica;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Funcionario() {}

    
    /**
     * setFuncCodigo(java.lang.Integer funcCodigo)
     * Mtodo para atribuir um novo valor ao atributo funcCodigo
     */
    public void setFuncCodigo(java.lang.Integer funcCodigo) {
      this.funcCodigo = funcCodigo;
    }

    /**
     * getFuncCodigo(java.lang.Integer funcCodigo) 
     * Mtodo para ler o valor do atributo funcCodigo
     */
    public java.lang.Integer getFuncCodigo() {
      return this.funcCodigo;
    }
    
    /**
     * setFuncNome(java.lang.String funcNome)
     * Mtodo para atribuir um novo valor ao atributo funcNome
     */
    public void setFuncNome(java.lang.String funcNome) {
      this.funcNome = funcNome;
    }

    /**
     * getFuncNome(java.lang.String funcNome) 
     * Mtodo para ler o valor do atributo funcNome
     */
    public java.lang.String getFuncNome() {
      return this.funcNome;
    }
    
    /**
     * setFuncFuncao(java.lang.Integer funcFuncao)
     * Mtodo para atribuir um novo valor ao atributo funcFuncao
     */
    public void setFuncFuncao(java.lang.Integer funcFuncao) {
      this.funcFuncao = funcFuncao;
    }

    /**
     * getFuncFuncao(java.lang.Integer funcFuncao) 
     * Mtodo para ler o valor do atributo funcFuncao
     */
    public java.lang.Integer getFuncFuncao() {
      return this.funcFuncao;
    }
    
    /**
     * setFuncDataAdmissao(java.sql.Date funcDataAdmissao)
     * Mtodo para atribuir um novo valor ao atributo funcDataAdmissao
     */
    public void setFuncDataAdmissao(java.sql.Date funcDataAdmissao) {
      this.funcDataAdmissao = funcDataAdmissao;
    }

    /**
     * getFuncDataAdmissao(java.sql.Date funcDataAdmissao) 
     * Mtodo para ler o valor do atributo funcDataAdmissao
     */
    public java.sql.Date getFuncDataAdmissao() {
      return this.funcDataAdmissao;
    }
    
    /**
     * setFuncDataDemissao(java.sql.Date funcDataDemissao)
     * Mtodo para atribuir um novo valor ao atributo funcDataDemissao
     */
    public void setFuncDataDemissao(java.sql.Date funcDataDemissao) {
      this.funcDataDemissao = funcDataDemissao;
    }

    /**
     * getFuncDataDemissao(java.sql.Date funcDataDemissao) 
     * Mtodo para ler o valor do atributo funcDataDemissao
     */
    public java.sql.Date getFuncDataDemissao() {
      return this.funcDataDemissao;
    }
    
    /**
     * setFuncUltAtualizacao(java.sql.Date funcUltAtualizacao)
     * Mtodo para atribuir um novo valor ao atributo funcUltAtualizacao
     */
    public void setFuncUltAtualizacao(java.sql.Date funcUltAtualizacao) {
      this.funcUltAtualizacao = funcUltAtualizacao;
    }

    /**
     * getFuncUltAtualizacao(java.sql.Date funcUltAtualizacao) 
     * Mtodo para ler o valor do atributo funcUltAtualizacao
     */
    public java.sql.Date getFuncUltAtualizacao() {
      return this.funcUltAtualizacao;
    }
    
    /**
     * setFuncRua(java.lang.String funcRua)
     * Mtodo para atribuir um novo valor ao atributo funcRua
     */
    public void setFuncRua(java.lang.String funcRua) {
      this.funcRua = funcRua;
    }

    /**
     * getFuncRua(java.lang.String funcRua) 
     * Mtodo para ler o valor do atributo funcRua
     */
    public java.lang.String getFuncRua() {
      return this.funcRua;
    }
    
    /**
     * setFuncCep(java.lang.String funcCep)
     * Mtodo para atribuir um novo valor ao atributo funcCep
     */
    public void setFuncCep(java.lang.String funcCep) {
      this.funcCep = funcCep;
    }

    /**
     * getFuncCep(java.lang.String funcCep) 
     * Mtodo para ler o valor do atributo funcCep
     */
    public java.lang.String getFuncCep() {
      return this.funcCep;
    }
    
    /**
     * setFuncBairro(java.lang.String funcBairro)
     * Mtodo para atribuir um novo valor ao atributo funcBairro
     */
    public void setFuncBairro(java.lang.String funcBairro) {
      this.funcBairro = funcBairro;
    }

    /**
     * getFuncBairro(java.lang.String funcBairro) 
     * Mtodo para ler o valor do atributo funcBairro
     */
    public java.lang.String getFuncBairro() {
      return this.funcBairro;
    }
    
    /**
     * setFuncCidade(java.lang.String funcCidade)
     * Mtodo para atribuir um novo valor ao atributo funcCidade
     */
    public void setFuncCidade(java.lang.String funcCidade) {
      this.funcCidade = funcCidade;
    }

    /**
     * getFuncCidade(java.lang.String funcCidade) 
     * Mtodo para ler o valor do atributo funcCidade
     */
    public java.lang.String getFuncCidade() {
      return this.funcCidade;
    }
    
    /**
     * setFuncUf(java.lang.String funcUf)
     * Mtodo para atribuir um novo valor ao atributo funcUf
     */
    public void setFuncUf(java.lang.String funcUf) {
      this.funcUf = funcUf;
    }

    /**
     * getFuncUf(java.lang.String funcUf) 
     * Mtodo para ler o valor do atributo funcUf
     */
    public java.lang.String getFuncUf() {
      return this.funcUf;
    }
    
    /**
     * setFuncTelefone(java.lang.String funcTelefone)
     * Mtodo para atribuir um novo valor ao atributo funcTelefone
     */
    public void setFuncTelefone(java.lang.String funcTelefone) {
      this.funcTelefone = funcTelefone;
    }

    /**
     * getFuncTelefone(java.lang.String funcTelefone) 
     * Mtodo para ler o valor do atributo funcTelefone
     */
    public java.lang.String getFuncTelefone() {
      return this.funcTelefone;
    }
    
    /**
     * setFuncPesContato(java.lang.String funcPesContato)
     * Mtodo para atribuir um novo valor ao atributo funcPesContato
     */
    public void setFuncPesContato(java.lang.String funcPesContato) {
      this.funcPesContato = funcPesContato;
    }

    /**
     * getFuncPesContato(java.lang.String funcPesContato) 
     * Mtodo para ler o valor do atributo funcPesContato
     */
    public java.lang.String getFuncPesContato() {
      return this.funcPesContato;
    }
    
    /**
     * setFuncNivel(java.lang.Integer funcNivel)
     * Mtodo para atribuir um novo valor ao atributo funcNivel
     */
    public void setFuncNivel(java.lang.Integer funcNivel) {
      this.funcNivel = funcNivel;
    }

    /**
     * getFuncNivel(java.lang.Integer funcNivel) 
     * Mtodo para ler o valor do atributo funcNivel
     */
    public java.lang.Integer getFuncNivel() {
      return this.funcNivel;
    }
    
    /**
     * setFuncLogin(java.lang.String funcLogin)
     * Mtodo para atribuir um novo valor ao atributo funcLogin
     */
    public void setFuncLogin(java.lang.String funcLogin) {
      this.funcLogin = funcLogin;
    }

    /**
     * getFuncLogin(java.lang.String funcLogin) 
     * Mtodo para ler o valor do atributo funcLogin
     */
    public java.lang.String getFuncLogin() {
      return this.funcLogin;
    }
    
    /**
     * setFuncSenha(java.lang.String funcSenha)
     * Mtodo para atribuir um novo valor ao atributo funcSenha
     */
    public void setFuncSenha(java.lang.String funcSenha) {
      this.funcSenha = funcSenha;
    }

    /**
     * getFuncSenha(java.lang.String funcSenha) 
     * Mtodo para ler o valor do atributo funcSenha
     */
    public java.lang.String getFuncSenha() {
      return this.funcSenha;
    }
    
    /**
     * setFuncDataNascto(java.sql.Date funcDataNascto)
     * Mtodo para atribuir um novo valor ao atributo funcDataNascto
     */
    public void setFuncDataNascto(java.sql.Date funcDataNascto) {
      this.funcDataNascto = funcDataNascto;
    }

    /**
     * getFuncDataNascto(java.sql.Date funcDataNascto) 
     * Mtodo para ler o valor do atributo funcDataNascto
     */
    public java.sql.Date getFuncDataNascto() {
      return this.funcDataNascto;
    }
    
    /**
     * setImgAssinatura(java.lang.Integer imgAssinatura)
     * Mtodo para atribuir um novo valor ao atributo imgAssinatura
     */
    public void setImgAssinatura(java.lang.Integer imgAssinatura) {
      this.imgAssinatura = imgAssinatura;
    }

    /**
     * getImgAssinatura(java.lang.Integer imgAssinatura) 
     * Mtodo para ler o valor do atributo imgAssinatura
     */
    public java.lang.Integer getImgAssinatura() {
      return this.imgAssinatura;
    }
    
    /**
     * setImgRubrica(java.lang.Integer imgRubrica)
     * Mtodo para atribuir um novo valor ao atributo imgRubrica
     */
    public void setImgRubrica(java.lang.Integer imgRubrica) {
      this.imgRubrica = imgRubrica;
    }

    /**
     * getImgRubrica(java.lang.Integer imgRubrica) 
     * Mtodo para ler o valor do atributo imgRubrica
     */
    public java.lang.Integer getImgRubrica() {
      return this.imgRubrica;
    }
    

    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Funcionario ) {
               Funcionario outro = (Funcionario) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }
}
