
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Localidades.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela localidades
 * @author JLMM
 */
public class Localidades {

    
    private java.lang.Integer ceplocCodigo;
    private java.lang.String ceplocNome;
    private java.lang.Integer ceplocCep;
    private java.lang.Integer ufCodigo;
    private java.lang.String ceplocTipo;
    private java.lang.String ceplocSit;

    private Object pk;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Localidades() {}

    
    /**
     * setCeplocCodigo(java.lang.Integer ceplocCodigo)
     * Mtodo para atribuir um novo valor ao atributo ceplocCodigo
     */
    public void setCeplocCodigo(java.lang.Integer ceplocCodigo) {
      this.ceplocCodigo = ceplocCodigo;
    }

    /**
     * getCeplocCodigo(java.lang.Integer ceplocCodigo) 
     * Mtodo para ler o valor do atributo ceplocCodigo
     */
    public java.lang.Integer getCeplocCodigo() {
      return this.ceplocCodigo;
    }
    
    /**
     * setCeplocNome(java.lang.String ceplocNome)
     * Mtodo para atribuir um novo valor ao atributo ceplocNome
     */
    public void setCeplocNome(java.lang.String ceplocNome) {
      this.ceplocNome = ceplocNome;
    }

    /**
     * getCeplocNome(java.lang.String ceplocNome) 
     * Mtodo para ler o valor do atributo ceplocNome
     */
    public java.lang.String getCeplocNome() {
      return this.ceplocNome;
    }
    
    /**
     * setCeplocCep(java.lang.Integer ceplocCep)
     * Mtodo para atribuir um novo valor ao atributo ceplocCep
     */
    public void setCeplocCep(java.lang.Integer ceplocCep) {
      this.ceplocCep = ceplocCep;
    }

    /**
     * getCeplocCep(java.lang.Integer ceplocCep) 
     * Mtodo para ler o valor do atributo ceplocCep
     */
    public java.lang.Integer getCeplocCep() {
      return this.ceplocCep;
    }
    
    /**
     * setUfCodigo(java.lang.Integer ufCodigo)
     * Mtodo para atribuir um novo valor ao atributo ufCodigo
     */
    public void setUfCodigo(java.lang.Integer ufCodigo) {
      this.ufCodigo = ufCodigo;
    }

    /**
     * getUfCodigo(java.lang.Integer ufCodigo) 
     * Mtodo para ler o valor do atributo ufCodigo
     */
    public java.lang.Integer getUfCodigo() {
      return this.ufCodigo;
    }
    
    /**
     * setCeplocTipo(java.lang.String ceplocTipo)
     * Mtodo para atribuir um novo valor ao atributo ceplocTipo
     */
    public void setCeplocTipo(java.lang.String ceplocTipo) {
      this.ceplocTipo = ceplocTipo;
    }

    /**
     * getCeplocTipo(java.lang.String ceplocTipo) 
     * Mtodo para ler o valor do atributo ceplocTipo
     */
    public java.lang.String getCeplocTipo() {
      return this.ceplocTipo;
    }
    
    /**
     * setCeplocSit(java.lang.String ceplocSit)
     * Mtodo para atribuir um novo valor ao atributo ceplocSit
     */
    public void setCeplocSit(java.lang.String ceplocSit) {
      this.ceplocSit = ceplocSit;
    }

    /**
     * getCeplocSit(java.lang.String ceplocSit) 
     * Mtodo para ler o valor do atributo ceplocSit
     */
    public java.lang.String getCeplocSit() {
      return this.ceplocSit;
    }
    

    /**
     * equals
     * verifica a igualdade 
     */
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Localidades ) {
               Localidades outro = (Localidades) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }

}
