
package br.com.tabelionatomessias.dao.cart;

import java.text.SimpleDateFormat;
import org.apache.naming.java.javaURLContextFactory;
/**
 * Sistema: Notarium
 * 
 * Arquivo: Pessoa.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela pessoa
 * @author JLMM
 */
public class Pessoa {

    
    private java.lang.Integer pesCodigo;
    private java.lang.String pesNome;
    private java.lang.Integer pesNacionalidade;
    private java.util.Date pesDataNascto;
    private java.lang.Integer pesLocalNascto;
    private java.lang.Integer pesLocNascUf;
    private java.lang.Integer pesSexo;
    private java.lang.Integer pesEstCivil;
    private java.lang.Integer pesRegBens;
    private java.lang.String pesNomeConj;
    private java.lang.Integer pesProfissao;
    private java.lang.String pesRg;
    private java.util.Date pesRgDatExp;
    private java.lang.String pesCpf;
    private java.lang.String pesDocProfissao;
    private java.lang.String pesPai;
    private java.lang.String pesMae;
    private java.lang.Integer pesEndCidade;
    private java.lang.Integer pesEndBairro;
    private java.lang.Integer pesEndUf;
    private java.lang.String pesEndCep;
    private java.lang.Integer pesEndNro;
    private java.lang.String pesComplemento;
    private java.lang.String pesTelefone1;
    private java.lang.String pesTelefone2;
    private java.util.Date pesDataCadastro;
    private java.util.Date pesUltAtualizacao;
    private java.lang.Integer funcCodigo;
    private java.lang.String pesObservacao;
    private java.lang.String pesSobrenome;
    private java.lang.Short pesStatus;
    private java.lang.Integer pesRgOrgEmis;
    private java.lang.Boolean pesFic;
    private java.lang.Boolean pesAtoslav;
    private java.lang.String pesLogin;
    private java.lang.String pesSenha;
    private java.lang.String pesAutonomo;
    private java.lang.String pesNaturalizado;
    private java.lang.String pesAposentado;
    private byte[] pesCertificado;
    

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public Pessoa() {}

    
    /**
     * setPesCodigo(java.lang.Integer pesCodigo)
     * Mtodo para atribuir um novo valor ao atributo pesCodigo
     */
    public void setPesCodigo(java.lang.Integer pesCodigo) {
      this.pesCodigo = pesCodigo;
    }

    /**
     * getPesCodigo(java.lang.Integer pesCodigo) 
     * Mtodo para ler o valor do atributo pesCodigo
     */
    public java.lang.Integer getPesCodigo() {
      return this.pesCodigo;
    }
    
    /**
     * setPesNome(java.lang.String pesNome)
     * Mtodo para atribuir um novo valor ao atributo pesNome
     */
    public void setPesNome(java.lang.String pesNome) {
      this.pesNome = pesNome;
    }

    /**
     * getPesNome(java.lang.String pesNome) 
     * Mtodo para ler o valor do atributo pesNome
     */
    public java.lang.String getPesNome() {
      return this.pesNome;
    }
    
    /**
     * setPesNacionalidade(java.lang.Integer pesNacionalidade)
     * Mtodo para atribuir um novo valor ao atributo pesNacionalidade
     */
    public void setPesNacionalidade(java.lang.Integer pesNacionalidade) {
      this.pesNacionalidade = pesNacionalidade;
    }

    /**
     * getPesNacionalidade(java.lang.Integer pesNacionalidade) 
     * Mtodo para ler o valor do atributo pesNacionalidade
     */
    public java.lang.Integer getPesNacionalidade() {
      return this.pesNacionalidade;
    }
    
    /**
     * setPesDataNascto(java.util.Date pesDataNascto)
     * Mtodo para atribuir um novo valor ao atributo pesDataNascto
     */
    public void setPesDataNascto(java.util.Date pesDataNascto) {
      this.pesDataNascto = pesDataNascto;
    }

    /**
     * getPesDataNascto(java.util.Date pesDataNascto) 
     * Mtodo para ler o valor do atributo pesDataNascto
     */
    public java.util.Date getPesDataNascto() {
      return this.pesDataNascto;
    }
    
    public String getFPesDataNascto() {
        String a = "";
        try {
           java.util.Date dateString = this.getPesDataNascto();
           SimpleDateFormat ft = new SimpleDateFormat("dd/MM/yyyy");
           a = ft.format(dateString);
        } catch (Exception e) {
           a = "";
        } finally {
          return a;
        }
    }
    
    /**
     * setPesLocalNascto(java.lang.Integer pesLocalNascto)
     * Mtodo para atribuir um novo valor ao atributo pesLocalNascto
     */
    public void setPesLocalNascto(java.lang.Integer pesLocalNascto) {
      this.pesLocalNascto = pesLocalNascto;
    }

    /**
     * getPesLocalNascto(java.lang.Integer pesLocalNascto) 
     * Mtodo para ler o valor do atributo pesLocalNascto
     */
    public java.lang.Integer getPesLocalNascto() {
      return this.pesLocalNascto;
    }
    
    /**
     * setPesLocNascUf(java.lang.Integer pesLocNascUf)
     * Mtodo para atribuir um novo valor ao atributo pesLocNascUf
     */
    public void setPesLocNascUf(java.lang.Integer pesLocNascUf) {
      this.pesLocNascUf = pesLocNascUf;
    }

    /**
     * getPesLocNascUf(java.lang.Integer pesLocNascUf) 
     * Mtodo para ler o valor do atributo pesLocNascUf
     */
    public java.lang.Integer getPesLocNascUf() {
      return this.pesLocNascUf;
    }
    
    /**
     * setPesSexo(java.lang.Integer pesSexo)
     * Mtodo para atribuir um novo valor ao atributo pesSexo
     */
    public void setPesSexo(java.lang.Integer pesSexo) {
      this.pesSexo = pesSexo;
    }

    /**
     * getPesSexo(java.lang.Integer pesSexo) 
     * Mtodo para ler o valor do atributo pesSexo
     */
    public java.lang.Integer getPesSexo() {
      return this.pesSexo;
    }
    
    /**
     * setPesEstCivil(java.lang.Integer pesEstCivil)
     * Mtodo para atribuir um novo valor ao atributo pesEstCivil
     */
    public void setPesEstCivil(java.lang.Integer pesEstCivil) {
      this.pesEstCivil = pesEstCivil;
    }

    /**
     * getPesEstCivil(java.lang.Integer pesEstCivil) 
     * Mtodo para ler o valor do atributo pesEstCivil
     */
    public java.lang.Integer getPesEstCivil() {
      return this.pesEstCivil;
    }
    
    /**
     * setPesRegBens(java.lang.Integer pesRegBens)
     * Mtodo para atribuir um novo valor ao atributo pesRegBens
     */
    public void setPesRegBens(java.lang.Integer pesRegBens) {
      this.pesRegBens = pesRegBens;
    }

    /**
     * getPesRegBens(java.lang.Integer pesRegBens) 
     * Mtodo para ler o valor do atributo pesRegBens
     */
    public java.lang.Integer getPesRegBens() {
      return this.pesRegBens;
    }
    
    /**
     * setPesNomeConj(java.lang.String pesNomeConj)
     * Mtodo para atribuir um novo valor ao atributo pesNomeConj
     */
    public void setPesNomeConj(java.lang.String pesNomeConj) {
      this.pesNomeConj = pesNomeConj;
    }

    /**
     * getPesNomeConj(java.lang.String pesNomeConj) 
     * Mtodo para ler o valor do atributo pesNomeConj
     */
    public java.lang.String getPesNomeConj() {
      return this.pesNomeConj;
    }
    
    /**
     * setPesProfissao(java.lang.Integer pesProfissao)
     * Mtodo para atribuir um novo valor ao atributo pesProfissao
     */
    public void setPesProfissao(java.lang.Integer pesProfissao) {
      this.pesProfissao = pesProfissao;
    }

    /**
     * getPesProfissao(java.lang.Integer pesProfissao) 
     * Mtodo para ler o valor do atributo pesProfissao
     */
    public java.lang.Integer getPesProfissao() {
      return this.pesProfissao;
    }
    
    /**
     * setPesRg(java.lang.String pesRg)
     * Mtodo para atribuir um novo valor ao atributo pesRg
     */
    public void setPesRg(java.lang.String pesRg) {
      this.pesRg = pesRg;
    }

    /**
     * getPesRg(java.lang.String pesRg) 
     * Mtodo para ler o valor do atributo pesRg
     */
    public java.lang.String getPesRg() {
      return this.pesRg;
    }
    
    /**
     * setPesRgDatExp(java.util.Date pesRgDatExp)
     * Mtodo para atribuir um novo valor ao atributo pesRgDatExp
     */
    public void setPesRgDatExp(java.util.Date pesRgDatExp) {
      this.pesRgDatExp = pesRgDatExp;
    }

    /**
     * getPesRgDatExp(java.util.Date pesRgDatExp) 
     * Mtodo para ler o valor do atributo pesRgDatExp
     */
    public java.util.Date getPesRgDatExp() {
      return this.pesRgDatExp;
    }
    
    /**
     * setPesCpf(java.lang.String pesCpf)
     * Mtodo para atribuir um novo valor ao atributo pesCpf
     */
    public void setPesCpf(java.lang.String pesCpf) {
      this.pesCpf = pesCpf;
    }

    /**
     * getPesCpf(java.lang.String pesCpf) 
     * Mtodo para ler o valor do atributo pesCpf
     */
    public java.lang.String getPesCpf() {
      return this.pesCpf;
    }
    
    /**
     * setPesDocProfissao(java.lang.String pesDocProfissao)
     * Mtodo para atribuir um novo valor ao atributo pesDocProfissao
     */
    public void setPesDocProfissao(java.lang.String pesDocProfissao) {
      this.pesDocProfissao = pesDocProfissao;
    }

    /**
     * getPesDocProfissao(java.lang.String pesDocProfissao) 
     * Mtodo para ler o valor do atributo pesDocProfissao
     */
    public java.lang.String getPesDocProfissao() {
      return this.pesDocProfissao;
    }
    
    /**
     * setPesPai(java.lang.String pesPai)
     * Mtodo para atribuir um novo valor ao atributo pesPai
     */
    public void setPesPai(java.lang.String pesPai) {
      this.pesPai = pesPai;
    }

    /**
     * getPesPai(java.lang.String pesPai) 
     * Mtodo para ler o valor do atributo pesPai
     */
    public java.lang.String getPesPai() {
      return this.pesPai;
    }
    
    /**
     * setPesMae(java.lang.String pesMae)
     * Mtodo para atribuir um novo valor ao atributo pesMae
     */
    public void setPesMae(java.lang.String pesMae) {
      this.pesMae = pesMae;
    }

    /**
     * getPesMae(java.lang.String pesMae) 
     * Mtodo para ler o valor do atributo pesMae
     */
    public java.lang.String getPesMae() {
      return this.pesMae;
    }
    
    /**
     * setPesEndCidade(java.lang.Integer pesEndCidade)
     * Mtodo para atribuir um novo valor ao atributo pesEndCidade
     */
    public void setPesEndCidade(java.lang.Integer pesEndCidade) {
      this.pesEndCidade = pesEndCidade;
    }

    /**
     * getPesEndCidade(java.lang.Integer pesEndCidade) 
     * Mtodo para ler o valor do atributo pesEndCidade
     */
    public java.lang.Integer getPesEndCidade() {
      return this.pesEndCidade;
    }
    
    /**
     * setPesEndBairro(java.lang.Integer pesEndBairro)
     * Mtodo para atribuir um novo valor ao atributo pesEndBairro
     */
    public void setPesEndBairro(java.lang.Integer pesEndBairro) {
      this.pesEndBairro = pesEndBairro;
    }

    /**
     * getPesEndBairro(java.lang.Integer pesEndBairro) 
     * Mtodo para ler o valor do atributo pesEndBairro
     */
    public java.lang.Integer getPesEndBairro() {
      return this.pesEndBairro;
    }
    
    /**
     * setPesEndUf(java.lang.Integer pesEndUf)
     * Mtodo para atribuir um novo valor ao atributo pesEndUf
     */
    public void setPesEndUf(java.lang.Integer pesEndUf) {
      this.pesEndUf = pesEndUf;
    }

    /**
     * getPesEndUf(java.lang.Integer pesEndUf) 
     * Mtodo para ler o valor do atributo pesEndUf
     */
    public java.lang.Integer getPesEndUf() {
      return this.pesEndUf;
    }
    
    /**
     * setPesEndCep(java.lang.String pesEndCep)
     * Mtodo para atribuir um novo valor ao atributo pesEndCep
     */
    public void setPesEndCep(java.lang.String pesEndCep) {
      this.pesEndCep = pesEndCep;
    }

    /**
     * getPesEndCep(java.lang.String pesEndCep) 
     * Mtodo para ler o valor do atributo pesEndCep
     */
    public java.lang.String getPesEndCep() {
      return this.pesEndCep;
    }
    
    /**
     * setPesEndNro(java.lang.Integer pesEndNro)
     * Mtodo para atribuir um novo valor ao atributo pesEndNro
     */
    public void setPesEndNro(java.lang.Integer pesEndNro) {
      this.pesEndNro = pesEndNro;
    }

    /**
     * getPesEndNro(java.lang.Integer pesEndNro) 
     * Mtodo para ler o valor do atributo pesEndNro
     */
    public java.lang.Integer getPesEndNro() {
      return this.pesEndNro;
    }
    
    /**
     * setPesComplemento(java.lang.String pesComplemento)
     * Mtodo para atribuir um novo valor ao atributo pesComplemento
     */
    public void setPesComplemento(java.lang.String pesComplemento) {
      this.pesComplemento = pesComplemento;
    }

    /**
     * getPesComplemento(java.lang.String pesComplemento) 
     * Mtodo para ler o valor do atributo pesComplemento
     */
    public java.lang.String getPesComplemento() {
      return this.pesComplemento;
    }
    
    /**
     * setPesTelefone1(java.lang.String pesTelefone1)
     * Mtodo para atribuir um novo valor ao atributo pesTelefone1
     */
    public void setPesTelefone1(java.lang.String pesTelefone1) {
      this.pesTelefone1 = pesTelefone1;
    }

    /**
     * getPesTelefone1(java.lang.String pesTelefone1) 
     * Mtodo para ler o valor do atributo pesTelefone1
     */
    public java.lang.String getPesTelefone1() {
      return this.pesTelefone1;
    }
    
    /**
     * setPesTelefone2(java.lang.String pesTelefone2)
     * Mtodo para atribuir um novo valor ao atributo pesTelefone2
     */
    public void setPesTelefone2(java.lang.String pesTelefone2) {
      this.pesTelefone2 = pesTelefone2;
    }

    /**
     * getPesTelefone2(java.lang.String pesTelefone2) 
     * Mtodo para ler o valor do atributo pesTelefone2
     */
    public java.lang.String getPesTelefone2() {
      return this.pesTelefone2;
    }
    
    /**
     * setPesDataCadastro(java.util.Date pesDataCadastro)
     * Mtodo para atribuir um novo valor ao atributo pesDataCadastro
     */
    public void setPesDataCadastro(java.util.Date pesDataCadastro) {
      this.pesDataCadastro = pesDataCadastro;
    }

    /**
     * getPesDataCadastro(java.util.Date pesDataCadastro) 
     * Mtodo para ler o valor do atributo pesDataCadastro
     */
    public java.util.Date getPesDataCadastro() {
      return this.pesDataCadastro;
    }
    
    public String getFPesDataCadastro() {
        String a = "";
        try {
           java.util.Date dateString = this.getPesDataCadastro();
           SimpleDateFormat ft = new SimpleDateFormat("dd/MM/yyyy");
           a = ft.format(dateString);
        } catch (Exception e) {
           a = "";
        } finally {
          return a;
        }
    }
    
    /**
     * setPesUltAtualizacao(java.util.Date pesUltAtualizacao)
     * Mtodo para atribuir um novo valor ao atributo pesUltAtualizacao
     */
    public void setPesUltAtualizacao(java.util.Date pesUltAtualizacao) {
      this.pesUltAtualizacao = pesUltAtualizacao;
    }

    /**
     * getPesUltAtualizacao(java.util.Date pesUltAtualizacao) 
     * Mtodo para ler o valor do atributo pesUltAtualizacao
     */
    public java.util.Date getPesUltAtualizacao() {
      return this.pesUltAtualizacao;
    }
    
    /**
     * setFuncCodigo(java.lang.Integer funcCodigo)
     * Mtodo para atribuir um novo valor ao atributo funcCodigo
     */
    public void setFuncCodigo(java.lang.Integer funcCodigo) {
      this.funcCodigo = funcCodigo;
    }

    /**
     * getFuncCodigo(java.lang.Integer funcCodigo) 
     * Mtodo para ler o valor do atributo funcCodigo
     */
    public java.lang.Integer getFuncCodigo() {
      return this.funcCodigo;
    }
    
    /**
     * setPesObservacao(java.lang.String pesObservacao)
     * Mtodo para atribuir um novo valor ao atributo pesObservacao
     */
    public void setPesObservacao(java.lang.String pesObservacao) {
      this.pesObservacao = pesObservacao;
    }

    /**
     * getPesObservacao(java.lang.String pesObservacao) 
     * Mtodo para ler o valor do atributo pesObservacao
     */
    public java.lang.String getPesObservacao() {
      return this.pesObservacao;
    }
    
    /**
     * setPesSobrenome(java.lang.String pesSobrenome)
     * Mtodo para atribuir um novo valor ao atributo pesSobrenome
     */
    public void setPesSobrenome(java.lang.String pesSobrenome) {
      this.pesSobrenome = pesSobrenome;
    }

    /**
     * getPesSobrenome(java.lang.String pesSobrenome) 
     * Mtodo para ler o valor do atributo pesSobrenome
     */
    public java.lang.String getPesSobrenome() {
      return this.pesSobrenome;
    }
    
    /**
     * setPesStatus(java.lang.Integer pesStatus)
     * Mtodo para atribuir um novo valor ao atributo pesStatus
     */
    public void setPesStatus(java.lang.Short pesStatus) {
      this.pesStatus = pesStatus;
    }

    /**
     * getPesStatus(java.lang.Integer pesStatus) 
     * Mtodo para ler o valor do atributo pesStatus
     */
    public java.lang.Short getPesStatus() {
      return this.pesStatus;
    }
    
    /**
     * setPesRgOrgEmis(java.lang.Integer pesRgOrgEmis)
     * Mtodo para atribuir um novo valor ao atributo pesRgOrgEmis
     */
    public void setPesRgOrgEmis(java.lang.Integer pesRgOrgEmis) {
      this.pesRgOrgEmis = pesRgOrgEmis;
    }

    /**
     * getPesRgOrgEmis(java.lang.Integer pesRgOrgEmis) 
     * Mtodo para ler o valor do atributo pesRgOrgEmis
     */
    public java.lang.Integer getPesRgOrgEmis() {
      return this.pesRgOrgEmis;
    }
    
    /**
     * setPesFic(java.lang.Boolean pesFic)
     * Mtodo para atribuir um novo valor ao atributo pesFic
     */
    public void setPesFic(java.lang.Boolean pesFic) {
      this.pesFic = pesFic;
    }

    /**
     * getPesFic(java.lang.Boolean pesFic) 
     * Mtodo para ler o valor do atributo pesFic
     */
    public java.lang.Boolean getPesFic() {
      return this.pesFic;
    }
    
    /**
     * setPesAtoslav(java.lang.Boolean pesAtoslav)
     * Mtodo para atribuir um novo valor ao atributo pesAtoslav
     */
    public void setPesAtoslav(java.lang.Boolean pesAtoslav) {
      this.pesAtoslav = pesAtoslav;
    }

    /**
     * getPesAtoslav(java.lang.Boolean pesAtoslav) 
     * Mtodo para ler o valor do atributo pesAtoslav
     */
    public java.lang.Boolean getPesAtoslav() {
      return this.pesAtoslav;
    }
    
 /**
     * setPesLogin(java.lang.String pesLogin)
     * Mtodo para atribuir um novo valor ao atributo pesLogin
     */
    public void setPesLogin(java.lang.String pesLogin) {
      this.pesLogin = pesLogin;
    }

    /**
     * getPesLogin(java.lang.String pesLogin) 
     * Mtodo para ler o valor do atributo pesLogin
     */
    public java.lang.String getPesLogin() {
      return this.pesLogin;
    }
    
    /**
     * setPesSenha(java.lang.String pesSenha)
     * Mtodo para atribuir um novo valor ao atributo pesSenha
     */
    public void setPesSenha(java.lang.String pesSenha) {
      this.pesSenha = pesSenha;
    }

    /**
     * getPesSenha(java.lang.String pesSenha) 
     * Mtodo para ler o valor do atributo pesSenha
     */
    public java.lang.String getPesSenha() {
      return this.pesSenha;
    }
    
    
    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof Pessoa ) {
               Pessoa outro = (Pessoa) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }

    public java.lang.String getPesAutonomo() {
        return pesAutonomo;
    }

    public void setPesAutonomo(java.lang.String pesAutonomo) {
        this.pesAutonomo = pesAutonomo;
    }

    public java.lang.String getPesNaturalizado() {
        return pesNaturalizado;
    }

    public void setPesNaturalizado(java.lang.String pesNaturalizado) {
        this.pesNaturalizado = pesNaturalizado;
    }

    public java.lang.String getPesAposentado() {
        return pesAposentado;
    }

    public void setPesAposentado(java.lang.String pesAposentado) {
        this.pesAposentado = pesAposentado;
    }
    
    public java.lang.String getFPesSexo() {
       String ret = "";
       if (this.pesSexo == 1) { ret = "Masculino"; }
       if (this.pesSexo == 2) { ret = "Feminino"; }
       return ret;
    }

    public byte[] getPesCertificado() {
        return pesCertificado;
    }

    public void setPesCertificado(byte[] pesCertificado) {
        this.pesCertificado = pesCertificado;
    }
}
