
package br.com.tabelionatomessias.dao.cart;
/**
 * Sistema: Notarium
 * 
 * Arquivo: SinPub.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

/**
 * Implementao do padro VO para a tabela sin_pub
 * @author JLMM
 */
public class SinPub {

    
    private java.lang.Integer sinpubCodigo;
    private java.lang.String sinpubNome;
    private java.lang.Integer crtCodigo;
    private java.lang.Integer sinpubFuncao;
    private java.lang.Integer sinpubStatus;
    private java.lang.String sinpubCpf;
    private java.lang.String sinpubRg;
    private java.sql.Date sinpubDataCadastro;
    private java.sql.Date sinpubUltAtualizacao;
    private java.lang.Integer funcCodigo;
    private java.sql.Date sinpubEnvioCartao;
    private java.sql.Date sinpubDataValidade;
    private Cartorio cartorio;

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public SinPub() {}

    
    /**
     * setSinpubCodigo(java.lang.Integer sinpubCodigo)
     * Mtodo para atribuir um novo valor ao atributo sinpubCodigo
     */
    public void setSinpubCodigo(java.lang.Integer sinpubCodigo) {
      this.sinpubCodigo = sinpubCodigo;
    }

    /**
     * getSinpubCodigo(java.lang.Integer sinpubCodigo) 
     * Mtodo para ler o valor do atributo sinpubCodigo
     */
    public java.lang.Integer getSinpubCodigo() {
      return this.sinpubCodigo;
    }
    
    /**
     * setSinpubNome(java.lang.String sinpubNome)
     * Mtodo para atribuir um novo valor ao atributo sinpubNome
     */
    public void setSinpubNome(java.lang.String sinpubNome) {
      this.sinpubNome = sinpubNome;
    }

    /**
     * getSinpubNome(java.lang.String sinpubNome) 
     * Mtodo para ler o valor do atributo sinpubNome
     */
    public java.lang.String getSinpubNome() {
      return this.sinpubNome;
    }
    
    /**
     * setCrtCodigo(java.lang.Integer crtCodigo)
     * Mtodo para atribuir um novo valor ao atributo crtCodigo
     */
    public void setCrtCodigo(java.lang.Integer crtCodigo) {
      this.crtCodigo = crtCodigo;
    }

    /**
     * getCrtCodigo(java.lang.Integer crtCodigo) 
     * Mtodo para ler o valor do atributo crtCodigo
     */
    public java.lang.Integer getCrtCodigo() {
      return this.crtCodigo;
    }
    
    /**
     * setSinpubFuncao(java.lang.Integer sinpubFuncao)
     * Mtodo para atribuir um novo valor ao atributo sinpubFuncao
     */
    public void setSinpubFuncao(java.lang.Integer sinpubFuncao) {
      this.sinpubFuncao = sinpubFuncao;
    }

    /**
     * getSinpubFuncao(java.lang.Integer sinpubFuncao) 
     * Mtodo para ler o valor do atributo sinpubFuncao
     */
    public java.lang.Integer getSinpubFuncao() {
      return this.sinpubFuncao;
    }
    
    /**
     * setSinpubStatus(java.lang.Integer sinpubStatus)
     * Mtodo para atribuir um novo valor ao atributo sinpubStatus
     */
    public void setSinpubStatus(java.lang.Integer sinpubStatus) {
      this.sinpubStatus = sinpubStatus;
    }

    /**
     * getSinpubStatus(java.lang.Integer sinpubStatus) 
     * Mtodo para ler o valor do atributo sinpubStatus
     */
    public java.lang.Integer getSinpubStatus() {
      return this.sinpubStatus;
    }
    
    /**
     * setSinpubCpf(java.lang.String sinpubCpf)
     * Mtodo para atribuir um novo valor ao atributo sinpubCpf
     */
    public void setSinpubCpf(java.lang.String sinpubCpf) {
      this.sinpubCpf = sinpubCpf;
    }

    /**
     * getSinpubCpf(java.lang.String sinpubCpf) 
     * Mtodo para ler o valor do atributo sinpubCpf
     */
    public java.lang.String getSinpubCpf() {
      return this.sinpubCpf;
    }
    
    /**
     * setSinpubRg(java.lang.String sinpubRg)
     * Mtodo para atribuir um novo valor ao atributo sinpubRg
     */
    public void setSinpubRg(java.lang.String sinpubRg) {
      this.sinpubRg = sinpubRg;
    }

    /**
     * getSinpubRg(java.lang.String sinpubRg) 
     * Mtodo para ler o valor do atributo sinpubRg
     */
    public java.lang.String getSinpubRg() {
      return this.sinpubRg;
    }
    
    /**
     * setSinpubDataCadastro(java.sql.Date sinpubDataCadastro)
     * Mtodo para atribuir um novo valor ao atributo sinpubDataCadastro
     */
    public void setSinpubDataCadastro(java.sql.Date sinpubDataCadastro) {
      this.sinpubDataCadastro = sinpubDataCadastro;
    }

    /**
     * getSinpubDataCadastro(java.sql.Date sinpubDataCadastro) 
     * Mtodo para ler o valor do atributo sinpubDataCadastro
     */
    public java.sql.Date getSinpubDataCadastro() {
      return this.sinpubDataCadastro;
    }
    
    /**
     * setSinpubUltAtualizacao(java.sql.Date sinpubUltAtualizacao)
     * Mtodo para atribuir um novo valor ao atributo sinpubUltAtualizacao
     */
    public void setSinpubUltAtualizacao(java.sql.Date sinpubUltAtualizacao) {
      this.sinpubUltAtualizacao = sinpubUltAtualizacao;
    }

    /**
     * getSinpubUltAtualizacao(java.sql.Date sinpubUltAtualizacao) 
     * Mtodo para ler o valor do atributo sinpubUltAtualizacao
     */
    public java.sql.Date getSinpubUltAtualizacao() {
      return this.sinpubUltAtualizacao;
    }
    
    /**
     * setFuncCodigo(java.lang.Integer funcCodigo)
     * Mtodo para atribuir um novo valor ao atributo funcCodigo
     */
    public void setFuncCodigo(java.lang.Integer funcCodigo) {
      this.funcCodigo = funcCodigo;
    }

    /**
     * getFuncCodigo(java.lang.Integer funcCodigo) 
     * Mtodo para ler o valor do atributo funcCodigo
     */
    public java.lang.Integer getFuncCodigo() {
      return this.funcCodigo;
    }
    
    /**
     * setSinpubEnvioCartao(java.sql.Date sinpubEnvioCartao)
     * Mtodo para atribuir um novo valor ao atributo sinpubEnvioCartao
     */
    public void setSinpubEnvioCartao(java.sql.Date sinpubEnvioCartao) {
      this.sinpubEnvioCartao = sinpubEnvioCartao;
    }

    /**
     * getSinpubEnvioCartao(java.sql.Date sinpubEnvioCartao) 
     * Mtodo para ler o valor do atributo sinpubEnvioCartao
     */
    public java.sql.Date getSinpubEnvioCartao() {
      return this.sinpubEnvioCartao;
    }
    
    /**
     * setSinpubDataValidade(java.sql.Date sinpubDataValidade)
     * Mtodo para atribuir um novo valor ao atributo sinpubDataValidade
     */
    public void setSinpubDataValidade(java.sql.Date sinpubDataValidade) {
      this.sinpubDataValidade = sinpubDataValidade;
    }

    /**
     * getSinpubDataValidade(java.sql.Date sinpubDataValidade) 
     * Mtodo para ler o valor do atributo sinpubDataValidade
     */
    public java.sql.Date getSinpubDataValidade() {
      return this.sinpubDataValidade;
    }
    
    public void setCartorio(Cartorio cartorio) {
        this.cartorio = cartorio;
    }
    public Cartorio getCartorio() {
        return this.cartorio;
    }
    

    /**
     * equals
     * verifica a igualdade 
     
    public boolean equals(Object obj) {
       boolean ret = false;
       try {
         if( obj != null ) {
            if( obj instanceof SinPub ) {
               SinPub outro = (SinPub) obj;
               if( this.pk   == outro.pk ) {
                 ret = true;
               }
            }
         }
       } catch( Exception e ) { }
       return( ret );
    }
    */

    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }
}
