
package br.com.tabelionatomessias.dao.web;
/**
 * Sistema: Notarium
 * 
 * Arquivo: DocumentoParticipantes.java
 *
 * Autor: JLMM
 * Data de criao: 05/09/2006
 *
 * ltimas alteraes (mantenha o formato abaixo)
 *   Data,      Autor,   Finalidade
 *
 */

import br.com.tabelionatomessias.dao.web.PessoaTemp;
import br.com.tabelionatomessias.dao.cart.Pessoa;

/**
 * Implementao do padro VO para a tabela documento_participantes
 * @author JLMM
 */
public class DocumentoParticipantes {

    
    private java.lang.Integer docCodigo;
    private java.lang.Integer pesCodigo;
    private java.lang.Integer papCodigo;
    
    private java.lang.Integer tipopessoa; // Tipo de Pessoa (0) - Cliente; (1) - Temporario;
    private PessoaTemp pessoatemp;
    private Pessoa pessoa;
    

    /**
     * Construtor, 
     * conforme o padro Bean, este contrutor no recebe parametros.
     */
    public DocumentoParticipantes() {}

    
    /**
     * setDocCodigo(java.lang.Integer docCodigo)
     * Mtodo para atribuir um novo valor ao atributo docCodigo
     */
    public void setDocCodigo(java.lang.Integer docCodigo) {
      this.docCodigo = docCodigo;
    }

    /**
     * getDocCodigo(java.lang.Integer docCodigo) 
     * Mtodo para ler o valor do atributo docCodigo
     */
    public java.lang.Integer getDocCodigo() {
      return this.docCodigo;
    }
    
    /**
     * setPesCodigo(java.lang.Integer pesCodigo)
     * Mtodo para atribuir um novo valor ao atributo pesCodigo
     */
    public void setPesCodigo(java.lang.Integer pesCodigo) {
      this.pesCodigo = pesCodigo;
    }

    /**
     * getPesCodigo(java.lang.Integer pesCodigo) 
     * Mtodo para ler o valor do atributo pesCodigo
     */
    public java.lang.Integer getPesCodigo() {
      return this.pesCodigo;
    }
    
    /**
     * setPapCodigo(java.lang.Integer papCodigo)
     * Mtodo para atribuir um novo valor ao atributo papCodigo
     */
    public void setPapCodigo(java.lang.Integer papCodigo) {
      this.papCodigo = papCodigo;
    }

    /**
     * getPapCodigo(java.lang.Integer papCodigo) 
     * Mtodo para ler o valor do atributo papCodigo
     */
    public java.lang.Integer getPapCodigo() {
      return this.papCodigo;
    }
    
    
    /**
     * setTipoPessoa(java.lang.Integer tipopessoa)
     * Mtodo para atribuir um novo valor ao atributo tipopessoa
     */
    public void setTipoPessoa(java.lang.Integer tipopessoa) {
      this.tipopessoa = tipopessoa;
    }
    
    /**
     * getTipoPessoa() 
     * Mtodo para ler o valor do atributo tipopessoa
     */
    public java.lang.Integer getTipoPessoa() {
      return this.tipopessoa;
    }
    
     /**
     * setPessoaTemp(PessoaTemp pestemp)
     * Mtodo para atribuir um novo valor ao atributo pestemp
     */
    public void setPessoaTemp(PessoaTemp pestemp) {
      this.pessoatemp = pestemp;
    }
    
    /**
     * getPessoaTemp() 
     * Mtodo para ler o valor do atributo pessoatemp
     */
    public PessoaTemp getPessoaTemp() {
      return this.pessoatemp;
    }
    
    
    /**
     * setPessoa(Pessoa pessoa)
     * Mtodo para atribuir um novo valor ao atributo pessoa
     */
    public void setPessoa(Pessoa pessoa) {
      this.pessoa = pessoa;
    }
    
    /**
     * getPessoa() 
     * Mtodo para ler o valor do atributo pessoa
     */
    public Pessoa getPessoa() {
      return this.pessoa;
    }
    
    
    /**
     * hashCode
     * verifica a igualdade 
     */
    public int hashCode() {
       int ret = -1;
       try {
         ret =  0;
       } catch( Exception e ) { }
       return( ret );
    }
}
