/*
 * Conexao.java
 *
 * Created on 29 de Julho de 2006, 14:05
 *
 */

package br.com.tabelionatomessias.utils;


import java.sql.*;
import javax.sql.*;
import javax.naming.*;
import br.com.tabelionatomessias.utils.NotariumError;

/**
 * Tratar as conexes com o banco de dados.
 */
public class Conexao {
    private Connection con;
    private String driver;
    private String user;
    private String pass;
    private String endereco;
    
    /** Creates a new instance of AcessoBancoDados */
    public Conexao() throws NotariumError {
        try {
          
            // Banco de Desenvolvimento Local            
            /*
            driver = "org.postgresql.Driver";
            user = "bdmessias";
            pass = "power";                
            endereco = "jdbc:postgresql://localhost:5432/cartesquema";
            */
            
            // Teste Michel. Remover
            /*
            driver = "org.postgresql.Driver";
            user = "bdmessias";
            pass = "power";                
            endereco = "jdbc:postgresql://localhost:5432/cartesquema2";
            */
            
            // Server na casa do Jair.
            
            driver = "org.postgresql.Driver";
            user = "bdmessias";
            pass = "power";                
            endereco = "jdbc:postgresql://notarium.homeip.net:5432/cartesquema";
            
            // Banco do tabelionato   
            /*
            driver = "org.postgresql.Driver";
            user = "notarium";
            pass = "04_11_2006";                
            endereco = "jdbc:postgresql://localhost:5432/notarium";
            */            
            Class.forName(driver);
            con = DriverManager.getConnection(endereco, user, pass);
            con.setAutoCommit(false);
            
        } catch (Exception e) {
           throw new NotariumError("No foi possivel efetuar a conexo...");
        }
    }
    
    public Connection getConexao() {
        return this.con;
    }
   
    public java.sql.ResultSet Query(String sql) {
        ResultSet rs = null;
        if( con != null ) {
            Statement s = null;
            try {
                System.out.println("Fazendo a conexao");
                s = con.createStatement();
                System.out.println("Conectado");
                s.executeUpdate(sql);
            } catch( Exception e) {
                e.printStackTrace();
            }
        } else {
            System.out.println("falha de conexo - con is null");
        }
        return( rs );
    }

    public PreparedStatement PrepareSQL(String sql) {
        PreparedStatement s = null;
        try {
            s = con.prepareStatement(sql);
        } catch( Exception e) {
            e.printStackTrace();
        }
        return(s);
    }
    
}