/*
 * CriptoUtils.java
 *
 * Created on 25 de Outubro de 2006, 00:14
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package br.com.tabelionatomessias.utils;

import br.com.tabelionatomessias.dao.web.*;
import java.security.MessageDigest;
import br.com.tabelionatomessias.dao.web.Documentoarquivo;
import br.com.tabelionatomessias.dao.web.DocumentoarquivoDAO;

/**
 * @since 25/10/2006
 * @author Michel
 */
public class CriptoUtils {

    private MessageDigest sha1;
    private MessageDigest md5;
    private MessageDigest aux;
    
    /**
     * Creates a new instance of CriptoUtils
     */
    public CriptoUtils() { }
    
    /**
     * Criptografa os bytes passados com o algoritmo MD5
     * @param arquivo - Um vetor de bytes que representa o arquivo
     * @return Um vetor de bytes criptografado
     * @throws java.security.NoSuchAlgorithmException - caso d erro
     * na criptografia.
     */
    public byte[] md5(byte[] arquivo) throws java.security.NoSuchAlgorithmException {
        md5 = MessageDigest.getInstance("MD5");
        md5.reset();
        return md5.digest(arquivo);
    }
    
    /**
     * Criptografa os bytes passados com o algoritmo SHA-1
     * @param arquivo - Um vetor de bytes que representa o arquivo
     * @return Um vetor de bytes criptografado
     * @throws java.security.NoSuchAlgorithmException - caso d erro
     * na criptografia.
     */
    public byte[] sha1(byte[] arquivo) throws java.security.NoSuchAlgorithmException {
        sha1 = MessageDigest.getInstance("SHA");
        sha1.reset();
        return sha1.digest(arquivo);
    }
    
    /**
     * Compara dois arquivos e diz se so iguais ou no
     * @param Os dois arquivos a serem comparados
     * @return TRUE se forem iguais, FALSE caso contrrio
     */    
    public boolean compare(byte[] arq1, byte[] arq2) {
        return aux.isEqual(arq1, arq2);
    }
    
}
