/*
 * NotariumError.java
 *
 * Created on 4 de Agosto de 2006, 20:21
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package br.com.tabelionatomessias.utils;

/**
 *
 * @author Jair
 */
public class NotariumError extends Exception {
     
    private String erro="";
    /**
     * Construtor
     * @param str   a mensagem de erro que foi produzida.
     * @autor Jair Jr.
     */
    public NotariumError(String str) {
        super(str);
        if( str != null )
           this.setErro(str);
    }
    
    /**
     * Construtor padro. Conforme especiicao dos JavaBeans...
     */
    public NotariumError() {
        super();
    }

    /**
     * getErro - retorna a mensagem de erro.
     */
    public String getErro() {
        return erro;
    }

    /**
     * setErro - define a mensagem de erro
     * @param erro   a mensagem de erro que foi produzida.
     */
    public void setErro(String erro) {
        this.erro = erro;
    }
    
}
